--[[
ClassMask id
1  - 1    - Warrior
2  - 2    - Paladin
3  - 4    - Hunter
4  - 8    - Rogue
5  - 16   - Priest
6  - 32   - Death Knight
7  - 64   - Shaman
8  - 128  - Mage
9  - 256  - Warlock
10 - 512  - Monk
11 - 1024 - Druid
12 - 2048 - Demon Hunter
--]]

local hidden = { Hidden = true };

-- Faction restrictions on equipment should only apply in classic
local factionAlliance = { Faction = "Alliance" };
local factionHorde    = { Faction = "Horde" };

LootReserve.Data =
{
    Categories =
    {
        [-100] = {
            Children =
            {
                { Name = "My Reserves", Reserves = "my" },
                { Name = "All Reserves", Reserves = "all" },
                { Name = "|TInterface\\AddOns\\LootReserve\\Assets\\Textures\\FavoriteWhite:16:16:0:-1:32:32:7:25:2:20|t Favorites", Favorites = true },
                { Name = "|TInterface\\Common\\UI-SearchBox-Icon:16:16:2:-2|t Search Results", Search = true },
            },
        },
        [-50] = {
            Name = "Custom",
            Custom = true,
            Children =
            {
                { Name = "Edited Items", Edited = true },
                { Name = "Custom Items", Custom = true },
            },
        },
        
        -- Classic
        [1010] = {
            Name = "Molten Core",
            NameShort = "MC",
            Expansion = 0,
            Children =
            {
                {
                    Name = "Lucifron",
                    Loot =
                    {
                        16800, 16805, 16829, 16837, 16859, 16863, 0,
                        19145, 18872, 18875, 19146, 18870, 18861, 0,
                        17109, 19147, 18879, 0,
                        18878, 17077, 0,
                        16665, 0,
                    },
                },
                {
                    Name = "Magmadar",
                    Loot =
                    {
                        16796, 16810, 16814, 16822, 16835, 16847, 16843, 16855, 16867, 0,
                        19136, 18823, 19144, 18829, 18824, 19143, 18861, 0,
                        18820, 18821, 17065, 0,
                        19142, 18203, 18822, 17073, 17069, 0,
                    },
                },
                {
                    Name = "Gehennas",
                    Loot =
                    {
                        16812, 16826, 16849, 16839, 16860, 16862, 0,
                        19145, 18872, 18875, 19146, 18870, 18861, 0,
                        19147, 18879, 0,
                        18878, 17077, 0,
                    },
                },
                {
                    Name = "Garr",
                    Loot =
                    {
                        18564, 0,
                        16795, 16808, 16813, 16821, 16834, 16846, 16842, 16854, 16866, 0,
                        19136, 18823, 19144, 18829, 18824, 19143, 18861, 0,
                        18820, 18821, 0,
                        19142, 17105, 17071, 18832, 18822, 17066, 0,
                    },
                },
                {
                    Name = "Baron Geddon",
                    Loot =
                    {
                        18563, 0,
                        16797, 16807, 16836, 16844, 16856, 0,
                        19136, 18823, 19144, 18829, 18824, 19143, 18861, 0,
                        18820, 18821, 17110, 0,
                        19142, 18822, 0,
                    },
                },
                {
                    Name = "Shazzrah",
                    Loot =
                    {
                        16801, 16803, 16811, 16824, 16831, 16852, 0,
                        19145, 18872, 18875, 19146, 18870, 18861, 0,
                        19147, 18879, 0,
                        18878, 17077, 0,
                    },
                },
                {
                    Name = "Golemagg the Incinerator",
                    Loot =
                    {
                        16798, 16809, 16815, 16820, 16833, 16845, 16841, 16853, 16865, 0,
                        19136, 18823, 19144, 18829, 18824, 19143, 18861, 0,
                        18820, 18821, 0,
                        19142, 17103, 18842, 17072, 18822, 0,
                        17203, 0,
                    },
                },
                {
                    Name = "Sulfuron Harbinger",
                    Loot =
                    {
                        16816, 16823, 16848, 16868, 0,
                        19145, 18872, 18875, 19146, 18870, 18861, 0,
                        18879, 19147, 0,
                        18878, 17077, 17074, 0,
                    },
                },
                {
                    Name = "Majordomo Executus",
                    Loot =
                    {
                        18646, 18703, 0,
                        18809, 18808, 18810, 19139, 18812, 18806, 0,
                        18811, 19140, 0,
                        18805, 18803, 0,
                    },
                },
                {
                    Name = "Ragnaros",
                    Loot =
                    {
                        17204, 0,
                        16915, 16930, 16922, 16909, 16901, 16938, 16946, 16954, 16962, 0,
                        18817, 19137, 0,
                        18814, 19138, 17102, 17107, 17063, 17082, 18815, 0,
                        17106, 18816, 17104, 17076, 0,
                        21110, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Trash",
                    Loot =
                    {
                        16802, 16806, 16817, 16827, 16828, 16851, 16838, 16858, 16864, 0,
                        16799, 16804, 16819, 16825, 16830, 16850, 16840, 16857, 16861, 0,
                        17011, 17010, 11382, 17012, 0,
                        20951, 0,
                    },
                },
                {
                    Name = "Recipes",
                    Loot =
                    {
                        18265, 21371, 0,
                        18252, 0,
                        18264, 0,
                        18292, 18291, 18290, 0,
                        18257, 0,
                        18259, 18260, 0,
                    },
                },
                { Separator = true },
                {
                    Name = " + Quest Rewards",
                    Loot =
                    {
                        17182, 0,
                        18608, 18609, 0,
                        18714, 18713, 18715, 0,
                    },
                },
            },
        },
        [1020] = {
            Name = "Onyxia",
            NameShort = "Ony",
            Expansion = 0,
            Children =
            {
                {
                    Name = "Onyxia",
                    Loot =
                    {
                        16914, 16929, 16921, 16908, 16900, 16939, 16947, 16955, 16963, 0,
                        18705, 0,
                        18423, 18422, 0,
                        17078, 17064, 18813, 18205, 0,
                        17067, 17068, 17075, 0,
                        17966, 11938, 0,
                        15410, 0,
                    },
                },
                -- {
                --     Name = " + Quest Rewards",
                --     Loot =
                --     {
                --         18404, 18403, 18406, 0,
                --     },
                -- },
            },
        },
        [1030] = {
            Name = "Blackwing Lair",
            NameShort = "BWL",
            Expansion = 0,
            Children =
            {
                {
                    Name = "Razorgore the Untamed",
                    Loot =
                    {
                        16918, 16934, 16926, 16911, 16904, 16935, 16943, 16951, 16959, 0,
                        19337, 19336, 0,
                        19370, 19369, 0,
                        19334, 19335, 0,
                    },
                },
                {
                    Name = "Vaelastrasz the Corrupt",
                    Loot =
                    {
                        16818, 16933, 16925, 16910, 16903, 16936, 16944, 16952, 16960, 0,
                        19339, 19340, 0,
                        19372, 0,
                        19371, 0,
                        19348, 19346, 0,
                    },
                },
                {
                    Name = "Broodlord Lashlayer",
                    Loot =
                    {
                        16912, 16927, 16919, 16906, 16898, 16941, 16949, 16957, 16965, 0,
                        19342, 19341, 0,
                        19374, 19373, 0,
                        19350, 19351, 0,
                        20383, 0,
                    },
                },
                {
                    Name = "Firemaw",
                    Loot =
                    {
                        16913, 16928, 16920, 16907, 16899, 16940, 16948, 16956, 16964, 0,
                        19344, 19343, 0,
                        19400, 19399, 19401, 19396, 19402, 19394, 0,
                        19397, 19395, 19398, 0,
                        19355, 19365, 19353, 0,
                    },
                },
                {
                    Name = "Ebonroc",
                    Loot =
                    {
                        16913, 16928, 16920, 16907, 16899, 16940, 16948, 16956, 16964, 0,
                        19345, 0,
                        19407, 19405, 19396, 19394, 0,
                        19403, 19397, 19395, 19406, 0,
                        19355, 19353, 19368, 0,
                    },
                },
                {
                    Name = "Flamegor",
                    Loot =
                    {
                        16913, 16928, 16920, 16907, 16899, 16940, 16948, 16956, 16964, 0,
                        19430, 19396, 19433, 19394, 0,
                        19397, 19395, 19432, 19431, 0,
                        19355, 19367, 19353, 19357, 0,
                    },
                },
                {
                    Name = "Chromaggus",
                    Loot =
                    {
                        16932, 16924, 16917, 16832, 16902, 16937, 16945, 16953, 16961, 0,
                        19391, 19388, 19385, 19390, 19389, 19393, 19392, 19387, 0,
                        19386, 0,
                        19347, 19352, 19361, 19349, 0,
                    },
                },
                {
                    Name = "Nefarian",
                    Loot =
                    {
                        16916, 16931, 16923, 16905, 16897, 16942, 16950, 16958, 16966, 0,
                        19003, 19002, 0,
                        19375, 19381, 19380, 0,
                        19379, 19378, 19382, 19377, 19376, 0,
                        19356, 19360, 19364, 19363, 0,
                        11938, 0,
                        21138, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Trash",
                    Loot =
                    {
                        19438, 19437, 19439, 0,
                        19434, 19436, 0,
                        19435, 19362, 19358, 19354, 0,
                        18562, 0,
                    },
                },
                -- { Separator = true },
                -- {
                --     Name = " + Quest Rewards",
                --     Loot =
                --     {
                --         19383, 19384, 19366, 0,
                --     },
                -- },
            },
        },
        [1040] = {
            Name = "Zul'Gurub",
            NameShort = "ZG",
            Expansion = 0,
            Children =
            {
                {
                    Name = "High Priestess Jeklik",
                    Loot =
                    {
                        19721, 19724, 19723, 19722, 19717, 19716, 19718, 19719, 19720, 0,
                        22716, 22720, 19928, 22718, 20262, 22715, 20265, 22714, 0,
                        22721, 19923, 19920, 22722, 0,
                        22713, 19918, 19915, 0,
                    },
                },
                {
                    Name = "High Priest Venoxis",
                    Loot =
                    {
                        19721, 19724, 19723, 19722, 19717, 19716, 19718, 19719, 19720, 0,
                        22716, 22720, 19906, 22718, 19904, 22715, 22714, 0,
                        22721, 19905, 19907, 22722, 0,
                        19903, 22713, 19900, 0,
                    },
                },
                {
                    Name = "High Priestess Mar'li",
                    Loot =
                    {
                        19721, 19724, 19723, 19722, 19717, 19716, 19718, 19719, 19720, 0,
                        20032, 22716, 22720, 22718, 19919, 22715, 22714, 0,
                        22721, 19930, 22722, 19925, 19871, 0,
                        22713, 19927, 0,
                    },
                },
                {
                    Name = "Bloodlord Mandokir",
                    Loot =
                    {
                        19721, 19724, 19723, 19722, 19717, 19716, 19718, 19719, 19720, 0,
                        22637, 0,
                        19895, 19877, 19869, 19878, 0,
                        19893, 19863, 19870, 19873, 0,
                        20038, 19866, 19874, 19867, 0,
                        19872, 0,
                    },
                },
                { Name = "Edge of Madness", Header = true },
                {
                    Name = " - Gri'lek",
                    Loot =
                    {
                        19939, 0,
                        19961, 19962, 0,
                    },
                },
                {
                    Name = " - Hazza'rah",
                    Loot =
                    {
                        19942, 0,
                        19967, 19968, 0,
                    },
                },
                {
                    Name = " - Renataki",
                    Loot =
                    {
                        19940, 0,
                        19964, 19963, 0,
                    },
                },
                {
                    Name = " - Wushoolay",
                    Loot =
                    {
                        19941, 0,
                        19965, 19993, 0,
                    },
                },
                {
                    Name = "High Priest Thekal",
                    Loot =
                    {
                        19721, 19724, 19723, 19722, 19717, 19716, 19718, 19719, 19720, 0,
                        19897, 22716, 19899, 22720, 22718, 20260, 22715, 20266, 22714, 0,
                        22721, 19898, 22722, 0,
                        22713, 19901, 19896, 0,
                        19902, 0,
                    },
                },
                {
                    Name = "High Priestess Arlokk",
                    Loot =
                    {
                        19721, 19724, 19723, 19722, 19717, 19716, 19718, 19719, 19720, 0,
                        22716, 22720, 22718, 22715, 22714, 19913, 0,
                        22721, 22722, 19912, 0,
                        19922, 19909, 22713, 19910, 0,
                        19914, 0,
                    },
                },
                {
                    Name = "Jin'do the Hexxer",
                    Loot =
                    {
                        19721, 19724, 19723, 19722, 19717, 19716, 19718, 19719, 19720, 0,
                        22637, 0,
                        19886, 19929, 19892, 19889, 19887, 19875, 19894, 0,
                        19885, 19888, 0,
                        19891, 19884, 19890, 0,
                    },
                },
                {
                    Name = "Hakkar",
                    Loot =
                    {
                        19802, 0,
                        20257, 20264, 19855, 0,
                        19857, 19876, 19856, 0,
                        19861, 19864, 19859, 19865, 19852, 19854, 19853, 19862, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Gahz'ranka",
                    Loot =
                    {
                        19945, 0,
                        19947, 0,
                        19944, 19946, 0,
                        22739, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Trash",
                    Loot =
                    {
                        20259, 20261, 20263, 0,
                        20258, 19921, 19908, 0,
                        19707, 19708, 19709, 19710, 19711, 19712, 19713, 19714, 19715, 0,
                        19698, 19699, 19700, 19701, 19702, 19703, 19704, 19705, 19706, 0,
                    },
                },
                { Separator = true },
                {
                    Name = " + Set Pieces",
                    Loot =
                    {
                        19826, 19832, 19845, 0,
                        19831, 19834, 19841, 0,
                        19822, 20034, 20033, 0,
                        19825, 19828, 19838, 0,
                        19824, 19836, 19830, 0,
                        19827, 19833, 19846, 0,
                        19843, 19848, 19840, 0,
                        19823, 19835, 19829, 0,
                        19842, 19849, 19839, 0,
                    },
                },
                {
                    Name = " + Quest Rewards",
                    Loot =
                    {
                        19950, 19949, 19948, 0,
                        19789, 19787, 19788, 19784, 19790, 19785, 19786, 19783, 19782, 0,
                    },
                },
            },
        },
        [1050] = {
            Name = "Ruins of Ahn'Qiraj",
            NameShort = "AQ20",
            Expansion = 0,
            Children =
            {
                {
                    Name = "Kurinnaxx",
                    Loot =
                    {
                        20885, 20889, 20888, 20884, 0,
                        21499, 21500, 21501, 21502, 21503, 0,
                        21498, 0,
                    },
                },
                {
                    Name = "General Rajaxx",
                    Loot =
                    {
                        20885, 20889, 20888, 20884, 0,
                        21496, 21810, 21493, 21494, 21497, 21495, 0,
                        21809, 0,
                        21806, 21492, 0,
                    },
                },
                {
                    Name = "Moam",
                    Loot =
                    {
                        20884, 20888, 20890, 20886, 0,
                        21472, 21468, 21469, 21455, 21474, 21467, 21476, 21475, 21479, 0,
                        21473, 21470, 21477, 0,
                        21471, 0,
                        22220, 0,
                    },
                },
                {
                    Name = "Buru the Gorger",
                    Loot =
                    {
                        20890, 20886, 20885, 20889, 20888, 20884, 0,
                        21489, 21491, 21487, 21486, 21490, 0,
                        21488, 0,
                        21485, 0,
                    },
                },
                {
                    Name = "Ayamiss the Hunter",
                    Loot =
                    {
                        20890, 20886, 20885, 20889, 20888, 20884, 0,
                        21484, 21482, 21480, 21481, 21479, 0,
                        21483, 0,
                        21466, 21478, 0,
                    },
                },
                {
                    Name = "Ossirian the Unscarred",
                    Loot =
                    {
                        20890, 20886, 20888, 20884, 0,
                        21220, 0,
                        21461, 21464, 21462, 21458, 21454, 21463, 21453, 21457, 21460, 0,
                        21456, 0,
                        21452, 21459, 21715, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Trash",
                    Loot =
                    {
                        21804, 21803, 21805, 0,
                        21802, 21801, 21800, 0,
                        20873, 20869, 20866, 20870, 20868, 20871, 20867, 20872, 0,
                        20864, 20861, 20863, 20862, 20859, 20865, 20860, 20858, 0,
                        21761, 21156, 0,
                        22203, 22202, 0,
                    },
                },
                {
                    Name = "Enchants",
                    Loot =
                    {
                        20728, 20729, 20727, 20730, 20731, 20734, 20736, 0,
                    },
                },
                {
                    Name = "Class books",
                    Loot =
                    {
                        21279, 21214, 21280, 21281, 21283, 21282, 21284, 21287, 21285, 21300, 21303, 21302, 21294, 21296, 21295, 21306, 21304, 21307, 21291, 21292, 21293, 21288, 21289, 21290, 21298, 21299, 21297, 0,
                    },
                },
                { Separator = true },
                {
                    Name = " + Quest Rewards",
                    Loot =
                    {
                        21504, 21507, 21505, 21506, 0,
                        21394, 21406, 21412, 21415, 0,
                        21397, 21403, 21400, 21418, 21409, 0,
                        21402, 21405, 21411, 21417, 0,
                        21393, 21396, 21399, 21414, 21408, 0,
                        21410, 21413, 21416, 21407, 0,
                        21392, 21395, 21401, 21404, 21398, 0,
                    },
                },
            },
        },
        [1060] = {
            Name = "Temple of Ahn'Qiraj",
            NameShort = "AQ40",
            Expansion = 0,
            Children =
            {
                {
                    Name = "The Prophet Skeram",
                    Loot =
                    {
                        21698, 21708, 21705, 21699, 21704, 21814, 21706, 0,
                        21707, 21702, 21701, 21700, 0,
                        21703, 21128, 0,
                        21232, 21237, 0,
                        22222, 0,
                    },
                },
                {
                    Name = "Bug Trio",
                    Loot =
                    {
                        21696, 21694, 21693, 21692, 0,
                        21697, 21695, 0,
                        21237, 21232, 0,
                    },
                },
                {
                    Name = " - Kri Killed Last",
                    Loot =
                    {
                        21680, 0,
                        21681, 21685, 0,
                        21603, 0,
                    },
                },
                {
                    Name = " - Yauj Killed Last",
                    Loot =
                    {
                        21686, 21682, 21684, 21683, 0,
                        21687, 0,
                    },
                },
                {
                    Name = " - Vem Killed Last",
                    Loot =
                    {
                        21689, 21691, 21688, 0,
                        21690, 0,
                    },
                },
                {
                    Name = "Battleguard Sartura",
                    Loot =
                    {
                        21676, 21648, 21671, 21669, 21672, 21675, 21668, 21667, 21674, 0,
                        21678, 21670, 0,
                        21666, 21673, 0,
                        21237, 21232, 0,
                    },
                },
                {
                    Name = "Fankriss the Unyielding",
                    Loot =
                    {
                        21663, 21665, 21645, 21651, 21652, 21639, 0,
                        21647, 21664, 21627, 0,
                        21650, 21635, 22396, 22402, 0,
                        21237, 21232, 0,
                    },
                },
                {
                    Name = "Viscidus",
                    Loot =
                    {
                        20928, 20932, 0,
                        21624, 21626, 21623, 0,
                        21625, 21677, 0,
                        21622, 22399, 0,
                        21237, 21232, 0,
                    },
                },
                {
                    Name = "Princess Huhuran",
                    Loot =
                    {
                        20928, 20932, 0,
                        21619, 21617, 21618, 0,
                        21620, 21621, 0,
                        21616, 0,
                        21237, 21232, 0,
                    },
                },
                {
                    Name = "Twin Emperors",
                    Loot =
                    {
                        20930, 20926, 0,
                        21600, 21604, 21609, 21602, 21605, 21607, 21599, 21606, 21598, 0,
                        21608, 21601, 0,
                        21597, 21679, 0,
                        21232, 21237, 0,
                        20735, 20726, 0,
                    },
                },
                {
                    Name = "Ouro",
                    Loot =
                    {
                        20931, 20927, 0,
                        21611, 21615, 0,
                        23558, 23570, 0,
                        23557, 21610, 0,
                        21237, 21232, 0,
                    },
                },
                {
                    Name = "C'Thun",
                    Loot =
                    {
                        20929, 20933, 0,
                        21221, 0,
                        22730, 21585, 21582, 21586, 21581, 0,
                        22731, 21583, 21596, 21579, 22732, 0,
                        21839, 21126, 21134, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Trash",
                    Loot =
                    {
                        21838, 21888, 21889, 0,
                        21836, 21891, 0,
                        21856, 21837, 0,
                        21218, 21324, 21323, 21321, 0,
                        22203, 22202, 0,
                    },
                },
                {
                    Name = "Scarabs",
                    Loot =
                    {
                        20876, 20879, 20875, 20878, 20881, 20877, 20874, 20882, 0,
                        20864, 20861, 20863, 20862, 20859, 20865, 20860, 20858, 0,
                        21762, 21156, 0,
                    },
                },
                {
                    Name = "Enchants",
                    Loot =
                    {
                        20728, 20729, 20727, 20730, 20731, 20734, 20736, 0,
                    },
                },
                { Separator = true },
                {
                    Name = " + Tier 2.5 Pieces",
                    Loot =
                    {
                        21331, 21389, 21370, 21364, 21374, 0,
                        21351, 21343, 21334, 21357, 0,
                        21332, 21362, 21352, 21346, 0,
                        21390, 21368, 21375, 21336, 21356, 0,
                        21387, 21366, 21360, 21372, 21353, 0,
                        21329, 21348, 21347, 21337, 0,
                        21330, 21333, 21367, 21365, 21361, 21359, 21350, 21349, 0,
                        21391, 21388, 21376, 21373, 21345, 21344, 21335, 21338, 21354, 21355, 0,
                    },
                },
                {
                    Name = " + Quest Rewards",
                    Loot =
                    {
                        21712, 21710, 21709, 0,
                        21242, 21244, 21272, 21269, 0,
                        21268, 21273, 21275, 0,
                    },
                },
            },
        },
        [1070] = {
            Name = "Naxxramas",
            NameShort = "Naxx",
            Expansion = 0,
            Children =
            {
                {
                    Name = "Anub'Rekhan",
                    Loot =
                    {
                        22369, 22362, 22355, 0,
                        22936, 0,
                        22939, 22935, 22938, 0,
                        22937, 0,
                        22726, 0,
                    },
                },
                {
                    Name = "Grand Widow Faerlina",
                    Loot =
                    {
                        22369, 22362, 22355, 0,
                        22941, 22940, 0,
                        22943, 0,
                        22942, 22806, 0,
                        22726, 0,
                    },
                },
                {
                    Name = "Maexxna",
                    Loot =
                    {
                        22371, 22364, 22357, 0,
                        23220, 0,
                        22947, 22954, 0,
                        22807, 22804, 0,
                        22726, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Noth the Plaguebringer",
                    Loot =
                    {
                        22370, 22363, 22356, 0,
                        23031, 23030, 23028, 0,
                        23029, 23005, 23006, 22816, 0,
                        22726, 0,
                    },
                },
                {
                    Name = "Heigan the Unclean",
                    Loot =
                    {
                        22370, 22363, 22356, 0,
                        23035, 23033, 23068, 23019, 0,
                        23036, 0,
                        22726, 0,
                    },
                },
                {
                    Name = "Loatheb",
                    Loot =
                    {
                        22366, 22359, 22352, 0,
                        23037, 23038, 23042, 0,
                        22800, 23039, 0,
                        22726, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Instructor Razuvious",
                    Loot =
                    {
                        22372, 22365, 22358, 0,
                        23219, 0,
                        23017, 23018, 0,
                        23009, 23004, 23014, 0,
                        22726, 0,
                    },
                },
                {
                    Name = "Gothik the Harvester",
                    Loot =
                    {
                        22372, 22365, 22358, 0,
                        23032, 23021, 23020, 23073, 0,
                        23023, 0,
                        22726, 0,
                    },
                },
                {
                    Name = "The Four Horsemen",
                    Loot =
                    {
                        22351, 22350, 22349, 0,
                        23071, 0,
                        23025, 23027, 0,
                        22811, 22809, 22691, 0,
                        22726, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Patchwerk",
                    Loot =
                    {
                        22368, 22361, 22354, 0,
                        22960, 22961, 0,
                        22820, 22815, 22818, 0,
                        22726, 0,
                    },
                },
                {
                    Name = "Grobbulus",
                    Loot =
                    {
                        22368, 22361, 22354, 0,
                        22968, 22967, 0,
                        22803, 22988, 22810, 0,
                        22726, 0,
                    },
                },
                {
                    Name = "Gluth",
                    Loot =
                    {
                        22368, 22369, 22370, 22372, 22361, 22362, 22363, 22365, 22354, 22355, 22356, 22358, 0,
                        22983, 0,
                        22981, 0,
                        23075, 22994, 22813, 0,
                        22726, 0,
                    },
                },
                {
                    Name = "Thaddius",
                    Loot =
                    {
                        22367, 22360, 22353, 0,
                        23070, 23000, 0,
                        23001, 0,
                        22801, 22808, 0,
                        22726, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Sapphiron",
                    Loot =
                    {
                        23549, 23548, 23545, 23547, 0,
                        23050, 23046, 23047, 23045, 23041, 23040, 0,
                        23049, 23048, 23043, 23242, 0,
                    },
                },
                {
                    Name = "Kel'Thuzad",
                    Loot =
                    {
                        23061, 23062, 23063, 23060, 23064, 23067, 23065, 23066, 23059, 0,
                        22520, 0,
                        23057, 23053, 0,
                        22821, 22799, 22819, 23056, 22802, 23054, 22798, 23577, 22812, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Trash",
                    Loot =
                    {
                        23069, 23226, 23663, 23664, 23665, 23667, 23666, 23668, 0,
                        23237, 0,
                        23238, 23044, 23221, 0,
                        22376, 22373, 22374, 22375, 0,
                        23055, 22682, 0,
                    },
                },
                { Separator = true },
                {
                    Name = " + Tier 3 Pieces",
                    Loot =
                    {
                        22519, 22503, 22511, 0,
                        22424, 22443, 22471, 22495, 0,
                        22423, 22483, 0,
                        22517, 22501, 22509, 0,
                        22426, 22441, 22469, 22493, 0,
                        22421, 22481, 0,
                        22518, 22502, 22510, 0,
                        22431, 22442, 22470, 22494, 0,
                        22422, 22482, 0,
                        22513, 22497, 22505, 0,
                        22427, 22437, 22465, 22489, 0,
                        22417, 22477, 0,
                        22516, 22500, 22508, 0,
                        22430, 22440, 22468, 22492, 0,
                        22420, 22480, 0,
                        22512, 22496, 22504, 0,
                        22425, 22436, 22464, 22488, 0,
                        22416, 22476, 0,
                        22515, 22499, 22507, 0,
                        22429, 22439, 22467, 22491, 0,
                        22419, 22479, 0,
                        22514, 22498, 22506, 0,
                        22428, 22438, 22466, 22490, 0,
                        22418, 22478, 0,
                    },
                },
                {
                    Name = " + Quest Rewards",
                    Loot =
                    {
                        23207, 23206, 0,
                    },
                },
            },
        },
        
        -- The Burning Crusade
        [2010] = {
            Name = "Karazhan",
            NameShort = "Kara",
            Expansion = 1,
            Children =
            {
                {
                    Name = "Attumen the Huntsman",
                    Loot =
                    {
                        28477, 28507, 28508, 28453, 28506, 28503, 28454, 28502, 28505, 0,
                        28510, 28509, 0,
                        28504, 0,
                        30480, 0,
                        23809, 0,
                    },
                },
                { Name = "Servant Quarters", Header = true },
                {
                    Name = " - Rokad the Ravager",
                    Loot =
                    {
                        30684, 30685, 30686, 30687, 0,
                    },
                },
                {
                    Name = " - Shadikith the Glider",
                    Loot =
                    {
                        30680, 30681, 30682, 30683, 0,
                    },
                },
                {
                    Name = " - Hyakiss the Lurker",
                    Loot =
                    {
                        30675, 30676, 30677, 30678, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Moroes",
                    Loot =
                    {
                        28565, 28545, 28567, 28569, 28566, 0,
                        28530, 28570, 28529, 28528, 0,
                        28568, 28525, 28524, 0,
                        22559, 0,
                    },
                },
                {
                    Name = "Maiden of Virtue",
                    Loot =
                    {
                        28515, 28517, 28511, 28521, 28514, 28520, 28519, 28512, 28518, 0,
                        28516, 0,
                        28523, 28522, 0,
                    },
                },
                {
                    Name = "Opera Event",
                    Loot =
                    {
                        28594, 28591, 28589, 28593, 0,
                        28590, 0,
                        28592, 0,
                    },
                },
                {
                    Name = " - The Wizard of Oz",
                    Loot =
                    {
                        28586, 28585, 0,
                        28588, 28587, 0,
                    },
                },
                {
                    Name = " - The Big Bad Wolf",
                    Loot =
                    {
                        28583, 0,
                        28582, 0,
                        28581, 28584, 0,
                    },
                },
                {
                    Name = " - Romulo and Julianne",
                    Loot =
                    {
                        28578, 0,
                        28579, 0,
                        28572, 28573, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Nightbane",
                    Loot =
                    {
                        28602, 28600, 28601, 28599, 28610, 28608, 28597, 0,
                        28609, 0,
                        28603, 28604, 28611, 28606, 0,
                    },
                },
                {
                    Name = "The Curator",
                    Loot =
                    {
                        29757, 29758, 29756, 0,
                        28612, 28647, 28631, 28621, 0,
                        28649, 0,
                        28633, 0,
                    },
                },
                {
                    Name = "Terestian Illhoof",
                    Loot =
                    {
                        28654, 28652, 28655, 28656, 28662, 0,
                        28785, 28661, 28653, 28660, 0,
                        28658, 28657, 28659, 0,
                        22561, 0,
                    },
                },
                {
                    Name = "Shade of Aran",
                    Loot =
                    {
                        28726, 28670, 28663, 28669, 28671, 28666, 0,
                        28727, 28674, 28672, 28675, 0,
                        28673, 28728, 0,
                        22560, 0,
                    },
                },
                {
                    Name = "Netherspite",
                    Loot =
                    {
                        28744, 28742, 28732, 28741, 28735, 28740, 28733, 28743, 0,
                        28731, 28730, 0,
                        28734, 28729, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Chess Event",
                    Loot =
                    {
                        28756, 28752, 28755, 28750, 28751, 28746, 28748, 28747, 0,
                        28753, 28745, 0,
                        28754, 28749, 0,
                    },
                },
                {
                    Name = "Prince Malchezaar",
                    Loot =
                    {
                        29760, 29761, 29759, 0,
                        28762, 28766, 28765, 28763, 28764, 28757, 0,
                        28770, 28771, 28767, 28773, 28768, 28772, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Trash",
                    Loot =
                    {
                        30642, 30668, 30673, 30644, 30674, 30643, 30641, 0,
                        30666, 30667, 0,
                        21903, 21904, 0,
                        22545, 0,
                        23857, 23864, 23862, 23865, 0,
                        21882, 0,
                    },
                },
                { Separator = true },
                {
                    Name = " + Tier 4 Pieces",
                    Loot =
                    {
                        29065, 29067, 29072, 29048, 29032, 29034, 29039, 0,
                        29017, 29020, 29055, 29057, 29090, 29092, 29097, 0,
                        29085, 29080, 28968, 0,
                        29061, 29068, 29073, 29044, 29028, 29035, 29040, 0,
                        29011, 29021, 29049, 29058, 29086, 29093, 29098, 0,
                        29081, 29076, 28963, 0,
                    },
                },
                {
                    Name = " + Season 1 Pieces",
                    Loot =
                    {
                        31614, 27703, 27880, 25834, 27470, 31397, 26000, 0,
                        24549, 31409, 27707, 31375, 28136, 28126, 0,
                        28335, 25857, 24556, 30188, 0,
                        31616, 27704, 27881, 25830, 27471, 31400, 25998, 0,
                        24545, 31410, 27708, 31376, 28137, 28127, 0,
                        28331, 25855, 24553, 30187, 0,
                    },
                },
            },
        },
        [2020] = {
            Name = "Gruul's Lair",
            NameShort = "Gruul",
            Expansion = 1,
            Children =
            {
                {
                    Name = "High King Maulgar",
                    Loot =
                    {
                        29763, 29764, 29762, 0,
                        28799, 28796, 28801, 28795, 0,
                        28797, 0,
                        28800, 0,
                    },
                },
                {
                    Name = "Gruul the Dragonkiller",
                    Loot =
                    {
                        29766, 29767, 29765, 0,
                        28804, 28803, 28828, 28810, 28827, 28824, 0,
                        28822, 28823, 28830, 0,
                        28802, 28826, 28794, 28825, 0,
                    },
                },
                { Separator = true },
                {
                    Name = " + Tier 4 Pieces",
                    Loot =
                    {
                        29064, 29070, 29075, 29047, 29037, 29031, 29043, 0,
                        29016, 29023, 29054, 29060, 29100, 29095, 29089, 0,
                        29084, 29079, 28967, 0,
                        29074, 29063, 29069, 29046, 29030, 29036, 29042, 0,
                        29022, 29015, 29059, 29053, 29094, 29099, 29088, 0,
                        29083, 29078, 28966, 0,
                    },
                },
                {
                    Name = " + Season 1 Pieces",
                    Loot =
                    {
                        31619, 27706, 27883, 25832, 27473, 31407, 25999, 0,
                        24546, 31412, 27710, 31378, 28139, 28129, 0,
                        28333, 25854, 24554, 30186, 0,
                        31618, 27705, 27882, 25833, 27472, 31406, 26001, 0,
                        24547, 31411, 27709, 31377, 28138, 28128, 0,
                        28332, 25858, 24555, 30201, 0,
                    },
                },
            },
        },
        [2030] = {
            Name = "Magtheridon's Lair",
            NameShort = "Mag",
            Expansion = 1,
            Children =
            {
                {
                    Name = "Magtheridon",
                    Loot =
                    {
                        29754, 29753, 29755, 0,
                        32385, 32386, 0,
                        28780, 28777, 28776, 28778, 28779, 28775, 0,
                        28789, 0,
                        28783, 28781, 28782, 29458, 28774, 0,
                        34845, 0,
                        34846, 0,
                    },
                },
                { Separator = true },
                {
                    Name = " + Tier 4 Pieces",
                    Loot =
                    {
                        29071, 29066, 29062, 29045, 29038, 29033, 29029, 0,
                        29012, 29019, 29050, 29056, 29087, 29091, 29096, 0,
                        29082, 29077, 28964, 0,
                    },
                },
                {
                    Name = " + Season 1 Pieces",
                    Loot =
                    {
                        31613, 27702, 27879, 25831, 27469, 31396, 25997, 0,
                        24544, 31413, 27711, 31379, 28140, 28130, 0,
                        28334, 25856, 24552, 30200, 0,
                    },
                },
                -- {
                --     Name = " + Quest Rewards",
                --     Loot =
                --     {
                --         28791, 28790, 28793, 28792, 0,
                --     },
                -- },
            },
        },
        [2040] = {
            Name = "Serpentshrine Cavern",
            NameShort = "SSC",
            Expansion = 1,
            Children =
            {
                {
                    Name = "Hydross the Unstable",
                    Loot =
                    {
                        30664, 0,
                        30050, 30056, 32516, 30055, 30047, 30054, 30048, 30053, 0,
                        30052, 33055, 30629, 0,
                        30049, 30051, 0,
                    },
                },
                {
                    Name = "The Lurker Below",
                    Loot =
                    {
                        30665, 0,
                        30064, 30067, 30062, 30060, 30066, 30065, 30057, 0,
                        30059, 30061, 33054, 0,
                        30063, 30058, 0,
                    },
                },
                {
                    Name = "Leotheras the Blind",
                    Loot =
                    {
                        30239, 30240, 30241, 0,
                        30092, 30097, 30091, 30096, 0,
                        30627, 0,
                        30095, 0,
                    },
                },
                {
                    Name = "Fathom-Lord Karathress",
                    Loot =
                    {
                        30663, 0,
                        30245, 30246, 30247, 0,
                        30100, 30101, 0,
                        30626, 30099, 0,
                        30090, 0,
                    },
                },
                {
                    Name = "Morogrim Tidewalker",
                    Loot =
                    {
                        30720, 0,
                        30079, 30075, 30085, 30068, 30084, 30081, 0,
                        30008, 33058, 30098, 30083, 0,
                        30080, 30082, 0,
                    },
                },
                {
                    Name = "Lady Vashj",
                    Loot =
                    {
                        30242, 30243, 30244, 0,
                        30107, 30111, 30106, 30104, 30112, 30102, 0,
                        30109, 30110, 30621, 0,
                        30108, 30103, 30105, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Trash",
                    Loot =
                    {
                        30027, 0,
                        30022, 30620, 0,
                        30023, 30025, 30021, 0,
                        30183, 0,
                        32897, 0,
                    },
                },
                {
                    Name = "Patterns",
                    Loot =
                    {
                        30280, 30282, 30283, 30281, 0,
                        30308, 30304, 30305, 30307, 30306, 30301, 30303, 30302, 0,
                        30322, 30323, 30321, 30324, 0,
                    }
                },
                { Separator = true },
                {
                    Name = " + Tier 5 Pieces",
                    Loot =
                    {
                        30130, 30135, 30124, 30145, 30189, 30165, 30170, 0,
                        30114, 30119, 30160, 30151, 30223, 30217, 30232, 0,
                        30140, 30205, 30211, 0,
                        30132, 30137, 30126, 30148, 30172, 30167, 30192, 0,
                        30121, 30116, 30153, 30162, 30229, 30220, 30234, 0,
                        30142, 30207, 30213, 0,
                        30125, 30136, 30131, 30146, 30166, 30171, 30190, 0,
                        30120, 30115, 30161, 30152, 30228, 30219, 30233, 0,
                        30141, 30206, 30212, 0,
                    },
                },
                {
                    Name = " + Season 2 Pieces",
                    Loot =
                    {
                        32021, 31993, 32040, 31998, 32010, 32030, 32005, 0,
                        30487, 32015, 32034, 31987, 32056, 31967, 0,
                        31961, 32049, 31973, 31981, 0,
                        32023, 31995, 32042, 32000, 32012, 32032, 32007, 0,
                        30489, 32017, 32036, 31989, 32058, 31969, 0,
                        31963, 32051, 31975, 31983, 0,
                        32022, 31997, 32041, 31999, 32011, 32031, 32006, 0,
                        30488, 32016, 32035, 31988, 32057, 31968, 0,
                        31962, 32048, 31974, 31980, 0,
                    },
                },
            },
        },
        [2050] = {
            Name = "The Eye",
            NameShort = "TK",
            Expansion = 1,
            Children =
            {
                {
                    Name = "Al'ar",
                    Loot =
                    {
                        30448, 30447, 0,
                        29918, 29947, 29921, 0,
                        29922, 29920, 29925, 0,
                        29923, 32944, 29948, 29924, 29949, 0,
                    },
                },
                {
                    Name = "Void Reaver",
                    Loot =
                    {
                        30450, 0,
                        30248, 30249, 30250, 0,
                        29986, 29984, 29985, 29983, 32515, 0,
                        30619, 0,
                    },
                },
                {
                    Name = "High Astromancer Solarian",
                    Loot =
                    {
                        30449, 30446, 0,
                        29972, 29977, 29966, 29976, 29951, 29965, 29950, 32267, 0,
                        29982, 29981, 29962, 0,
                    },
                },
                {
                    Name = "Kael'thas Sunstrider",
                    Loot =
                    {
                        30236, 30237, 30238, 0,
                        32405, 0,
                        29987, 29990, 29995, 29991, 29998, 0,
                        29992, 29989, 29994, 29997, 0,
                        29988, 29996, 29993, 0,
                        32458, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Trash",
                    Loot =
                    {
                        30020, 30024, 30029, 30030, 30026, 0,
                        30028, 0,
                        30183, 0,
                        32897,
                    }
                },
                {
                    Name = "Patterns",
                    Loot =
                    {
                        30280, 30282, 30283, 30281, 0,
                        30308, 30304, 30305, 30307, 30306, 30301, 30303, 30302, 0,
                        30322, 30323, 30321, 30324, 0,
                    }
                },
                { Separator = true },
                {
                    Name = " + Tier 5 Pieces",
                    Loot =
                    {
                        30127, 30133, 30138, 30149, 30168, 30173, 30194, 0,
                        30117, 30122, 30154, 30163, 30221, 30230, 30235, 0,
                        30143, 30210, 30215, 0,
                        30123, 30129, 30134, 30144, 30164, 30169, 30185, 0,
                        30113, 30118, 30150, 30159, 30216, 30222, 30231, 0,
                        30139, 30196, 30214, 0,
                    },
                },
                {
                    Name = " + Season 2 Pieces",
                    Loot =
                    {
                        32024, 31996, 32043, 32001, 32013, 32033, 32008, 0,
                        30490, 32018, 32037, 31990, 32059, 31971, 0,
                        31964, 32047, 31976, 31979, 0,
                        32020, 31992, 32039, 32002, 32009, 32029, 32004, 0,
                        30486, 32019, 32038, 31991, 32060, 31972, 0,
                        31960, 32050, 31977, 31982, 0,
                    },
                },
                {
                    Name = " + Quest Rewards",
                    Loot =
                    {
                        30018, 30017, 30007, 30015, 0,
                    },
                },
            },
        },
        [2060] = {
            Name = "Battle for Mount Hyjal",
            NameShort = "Hyjal",
            Expansion = 1,
            Children =
            {
                {
                    Name = "Rage Winterchill",
                    Loot =
                    {
                        30870, 30871, 30868, 30863, 30873, 30869, 30864, 30862, 30866, 30861, 0,
                        30872, 30865, 0,
                    },
                },
                {
                    Name = "Anetheron",
                    Loot =
                    {
                        30884, 30888, 30885, 30886, 30879, 30887, 30880, 30878, 0,
                        30882, 30883, 30881, 30874, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Kaz'rogal",
                    Loot =
                    {
                        30894, 30916, 30895, 30914, 30917, 30891, 30893, 30892, 30919, 30915, 0,
                        30918, 30889, 0,
                    },
                },
                {
                    Name = "Azgalor",
                    Loot =
                    {
                        31092, 31094, 31093, 0,
                        30899, 30898, 30900, 30897, 30896, 0,
                        30901, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Archimonde",
                    Loot =
                    {
                        31097, 31095, 31096, 0,
                        30913, 30912, 30905, 30907, 30904, 30903, 0,
                        30910, 30908, 30911, 30902, 30906, 30909, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Trash",
                    Loot =
                    {
                        32609, 32592, 0,
                        32589, 32590, 32591, 34010, 0,
                        34009, 32946, 32945, 0,
                        32428, 32897, 0,
                    },
                },
                {
                    Name = "Patterns",
                    Loot =
                    {
                        32296, 32307, 32289, 32285, 32303, 32297, 32298, 32295, 0,
                        32754, 32755, 32753, 32752, 0,
                        32744, 32745, 32746, 32747, 32750, 32751, 32748, 32749, 0,
                        32738, 32739, 32736, 32737, 0,
                    },
                },
                { Separator = true },
                {
                    Name = " + Tier 6 Pieces",
                    Loot =
                    {
                        30982, 30983, 30985, 31060, 31061, 31050, 0,
                        30969, 30970, 31001, 31007, 31008, 31011, 0,
                        31026, 31055, 31032, 31034, 31035, 0,
                        30987, 30988, 30989, 31063, 31064, 31051, 0,
                        30972, 30974, 31003, 31012, 31014, 31015, 0,
                        31027, 31056, 31037, 31040, 31039, 0,
                    },
                },
                {
                    Name = " + Season 3 Pieces",
                    Loot =
                    {
                        33723, 33696, 33750, 33717, 33744, 33676, 33684, 0,
                        33729, 33665, 33712, 33739, 33707, 0,
                        33700, 33759, 33690, 33767, 33671, 0,
                        33724, 33697, 33751, 33718, 33745, 33677, 33683, 0,
                        33730, 33666, 33713, 33740, 33708, 0,
                        33701, 33758, 33691, 33768, 33672, 0,
                    },
                },
            },
        },
        [2070] = {
            Name = "Black Temple",
            NameShort = "BT",
            Expansion = 1,
            Children =
            {
                {
                    Name = "High Warlord Naj'entus",
                    Loot =
                    {
                        32239, 32240, 32377, 32242, 32241, 32234, 32243, 32245, 32232, 0,
                        32247, 32238, 0,
                        32237, 32236, 32248, 0,
                    },
                },
                {
                    Name = "Supremus",
                    Loot =
                    {
                        32256, 32252, 32259, 32258, 32251, 32250, 0,
                        32260, 32261, 0,
                        32255, 32257, 32262, 32253, 32254, 0,
                    },
                },
                {
                    Name = "Shade of Akama",
                    Loot =
                    {
                        32270, 32513, 32273, 32271, 32265, 32276, 32275, 32264, 32278, 32279, 32268, 32263, 0,
                        32266, 0,
                        32361, 0,
                    },
                },
                {
                    Name = "Teron Gorefiend",
                    Loot =
                    {
                        32327, 32329, 32328, 32324, 32510, 32512, 32280, 0,
                        32323, 0,
                        32330, 32348, 32326, 32325, 0,
                    },
                },
                {
                    Name = "Gurtogg Bloodboil",
                    Loot =
                    {
                        32340, 32338, 32339, 32334, 32341, 32342, 32333, 0,
                        32337, 32335, 32501, 0,
                        32343, 32344, 32269, 0,
                    },
                },
                {
                    Name = "Reliquary of the Lost",
                    Loot =
                    {
                        32353, 32352, 32351, 32347, 32517, 32346, 32354, 32345, 0,
                        32349, 32362, 0,
                        32350, 32363, 32332, 0,
                    },
                },
                {
                    Name = "Mother Shahraz",
                    Loot =
                    {
                        31101, 31103, 31102, 0,
                        32367, 32366, 32365, 0,
                        32370, 32369, 32368, 0,
                    },
                },
                {
                    Name = "The Illidari Council",
                    Loot =
                    {
                        31098, 31100, 31099, 0,
                        32519, 32518, 32376, 32373, 0,
                        32331, 32505, 0,
                    },
                },
                {
                    Name = "Illidan Stormrage",
                    Loot =
                    {
                        32837, 32838, 0,
                        31089, 31091, 31090, 0,
                        32525, 32235, 32521, 0,
                        32483, 32496, 32524, 32497, 0,
                        32374, 32500, 32471, 32336, 32375, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Trash",
                    Loot =
                    {
                        32609, 32593, 32592, 32606, 32608, 0,
                        32589, 32590, 32527, 32528, 34012, 32526, 32591, 0,
                        34009, 32943, 34011, 0,
                        32228, 32231, 32229, 32249, 32230, 32227, 0,
                        32428, 32897, 0,
                    },
                },
                {
                    Name = "Patterns",
                    Loot =
                    {
                        32754, 32755, 32753, 32752, 0,
                        32744, 32745, 32746, 32747, 32750, 32751, 32748, 32749, 0,
                        32738, 32739, 32736, 32737, 0,
                    },
                },
                { Separator = true },
                {
                    Name = " + Tier 6 Pieces",
                    Loot =
                    {
                        30996, 30997, 30998, 31069, 31070, 31054, 0,
                        30979, 30980, 31006, 31022, 31023, 31024, 0,
                        31030, 31059, 31047, 31048, 31049, 0,
                        30993, 30994, 30995, 31067, 31068, 31053, 0,
                        30977, 30978, 31005, 31019, 31020, 31021, 0,
                        31029, 31058, 31044, 31045, 31046, 0,
                        30990, 30991, 30992, 31065, 31066, 31052, 0,
                        30975, 30976, 31004, 31016, 31017, 31018, 0,
                        31028, 31057, 31041, 31042, 31043, 0,
                    },
                },
                {
                    Name = " + Season 3 Pieces",
                    Loot =
                    {
                        33726, 33699, 33753, 33720, 33747, 33679, 33682, 0,
                        33732, 33668, 33715, 33742, 33710, 0,
                        33703, 33757, 33693, 33770, 33674, 0,
                        33725, 33698, 33752, 33719, 33746, 33678, 33686, 0,
                        33731, 33667, 33714, 33741, 33709, 0,
                        33702, 33761, 33692, 33769, 33673, 0,
                        33722, 33695, 33749, 33721, 33748, 33680, 33685, 0,
                        33664, 33711, 33738, 33706, 0,
                        33704, 33760, 33694, 33771, 33675, 0,
                    },
                },
            },
        },
        [2080] = {
            Name = "Zul'Aman",
            NameShort = "ZA",
            Expansion = 1,
            Children =
            {
                {
                    Name = "Akil'zon",
                    Loot =
                    {
                        33286, 33216, 33215, 0,
                        33293, 33281, 0,
                        33283, 33214, 0,
                        33307, 0,
                    },
                },
                {
                    Name = "Nalorakk",
                    Loot =
                    {
                        33285, 33203, 33211, 33206, 33327, 33191, 0,
                        33640, 0,
                        33307, 0,
                    },
                },
                {
                    Name = "Jan'alai",
                    Loot =
                    {
                        33357, 33356, 33329, 33328, 0,
                        33354, 33332, 33326, 0,
                        33307, 0,
                    },
                },
                {
                    Name = "Halazzi",
                    Loot =
                    {
                        33317, 33322, 33300, 33533, 33299, 33303, 0,
                        33297, 0,
                        33307, 0,
                    },
                },
                {
                    Name = "Hex Lord Malacrass",
                    Loot =
                    {
                        33453, 33463, 33432, 33464, 33421, 33446, 0,
                        33829, 33828, 33592, 34029, 0,
                        33465, 33389, 33298, 33388, 0,
                        33307, 0,
                    },
                },
                {
                    Name = "Zul'jin",
                    Loot =
                    {
                        33102, 0,
                        33471, 33479, 33469, 33473, 0,
                        33466, 33831, 33830, 0,
                        33467, 33468, 33474, 33478, 33476, 0,
                        33307, 0,
                    },
                },
                { Separator = true },
                { Name = "Timed Chests", Header = true },
                {
                    Name = " - First Prisoner Saved",
                    Loot =
                    {
                        33489, 33480, 33971, 33483, 33805, 33481, 0,
                        33591, 33590, 0,
                    },
                },
                {
                    Name = " - Second Prisoner Saved",
                    Loot =
                    {
                        33494, 33490, 33495, 33493, 33492, 33491, 0,
                    },
                },
                {
                    Name = " - Third Prisoner Saved",
                    Loot =
                    {
                        33497, 33498, 33496, 33500, 33499, 0,
                    },
                },
                -- {
                --     Name = " - Fourth Prisoner Saved",
                --     Loot =
                --     {
                --         -- Mount doesn't drop anymore. Chest appears to now drop items from one or more other chests
                --         -- 33809, 0,
                --     },
                -- },
                { Separator = true },
                {
                    Name = "Trash",
                    Loot =
                    {
                        33865, 0,
                        33930, 33932, 33931, 33933, 0,
                        33993, 0,
                    },
                },
            },
        },
        [2090] = {
            Name = "Sunwell Plateau",
            NameShort = "SWP",
            Expansion = 1,
            Children =
            {
                {
                    Name = "Kalecgos",
                    Loot =
                    {
                        34848, 34851, 34852, 0,
                        34170, 34169, 34168, 34167, 0,
                        34166, 0,
                        34165, 34164, 0,
                    },
                },
                {
                    Name = "Brutallus",
                    Loot =
                    {
                        34853, 34854, 34855, 0,
                        34181, 34180, 0,
                        34177, 34178, 0,
                        34179, 34176, 0,
                    },
                },
                {
                    Name = "Felmyst",
                    Loot =
                    {
                        34856, 34857, 34858, 0,
                        34188, 34186, 34352, 0,
                        34184, 0,
                        34182, 34185, 0,
                    },
                },
                {
                    Name = "Eredar Twins",
                    Loot =
                    {
                        34210, 34202, 34209, 34195, 34208, 34194, 34193, 34192, 0,
                        35290, 34204, 35291, 34205, 34189, 35292, 34190, 0,
                        34206, 34199, 34198, 34197, 34203, 34196, 0,
                    },
                },
                {
                    Name = "M'uru",
                    Loot =
                    {
                        34232, 34233, 34212, 34211, 34234, 34229, 34228, 34240, 34215, 34216, 0,
                        34230, 35282, 34429, 34430, 35283, 35284, 34427, 34428, 34213, 0,
                        34231, 34214, 0,
                    },
                },
                {
                    Name = "Kil'jaeden",
                    Loot =
                    {
                        34334, 0,
                        34340, 34344, 34339, 34342, 34245, 34244, 34332, 34333, 34343, 34243, 34345, 34341, 0,
                        34242, 34241, 0,
                        34336, 34335, 34337, 34329, 34247, 34331, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Trash",
                    Loot =
                    {
                        34351, 34350, 0,
                        35733, 0,
                        34347, 34348, 34349, 34183, 34346, 0,
                        35273, 0,
                        32228, 32231, 32229, 32249, 32230, 32227, 0,
                        34664, 0,
                    },
                },
                {
                    Name = "Patterns",
                    Loot =
                    {
                        35186, 35189, 35197, 35190, 35191, 35192, 35193, 35194, 35187, 35195, 35196, 0,
                        35204, 35206, 35205, 35207, 0,
                        35212, 35216, 35213, 35217, 35214, 35218, 35215, 35219, 0,
                        35208, 35210, 35209, 35211, 0,
                        35198, 35201, 35199, 35202, 35200, 35203, 0,
                    },
                },
                { Separator = true },
                {
                    Name = " + Tier 6 Pieces",
                    Loot =
                    {
                        34431, 34432, 34433, 34434, 34435, 34436, 0,
                        34441, 34442, 34443, 34437, 34438, 34439, 0,
                        34448, 34447, 34444, 34445, 34446, 0,
                        34485, 34487, 34488, 34527, 34528, 34541, 0,
                        34546, 34547, 34549, 34542, 34543, 34545, 0,
                        34558, 34557, 34554, 34555, 34556, 0,
                        34559, 34560, 34561, 34562, 34563, 34564, 0,
                        34568, 34569, 34570, 34565, 34566, 34567, 0,
                        34575, 34574, 34571, 34572, 34573, 0,
                    },
                },
                {
                    Name = " + Sunmote Exchanges",
                    Loot =
                    {
                        34405, 34393, 34399, 34406, 34386, 0,
                        34403, 34391, 34398, 34407, 34384, 34404, 34397, 34392, 34408, 34385, 0,
                        34402, 34396, 34390, 34409, 34383, 0,
                        34401, 34389, 34395, 34382, 34400, 34388, 34394, 34381, 0,
                    },
                },
            },
        },
        
        -- Wrath of the Lich King
        -- Naxxramas
        --[[
        [3010] = {
            Name = "Naxxramas 10",
            NameShort = "Naxx 10",
            Expansion = 2,
            Children =
            {
                {
                    Name = "Anub'Rekhan",
                    Loot =
                    {
                        39192, 39190, 39191, 39189, 39188, 39139, 0,
                        39193, 39146, 39141, 0,
                        39140, 0,
                    },
                },
                {
                    Name = "Grand Widow Faerlina",
                    Loot =
                    {
                        39216, 39215, 39196, 39217, 39194, 39198, 39195, 39197, 0,
                        39199, 39200, 0,
                    },
                },
                {
                    Name = "Maexxna",
                    Loot =
                    {
                        39230, 39224, 39228, 0,
                        39232, 39231, 39229, 39225, 0,
                        39226, 39221, 39233, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Noth the Plaguebringer",
                    Loot =
                    {
                        39242, 39240, 39237, 39243, 39236, 39239, 39235, 39234, 0,
                        39241, 39244, 0,
                    },
                },
                {
                    Name = "Heigan the Unclean",
                    Loot =
                    {
                        39252, 39254, 39247, 39248, 39251, 39249, 0,
                        39246, 39250, 0,
                        39245, 39255, 0,
                    },
                },
                {
                    Name = "Loatheb",
                    Loot =
                    {
                        40622, 40623, 40624, 0,
                        39259, 39260, 39258, 0,
                        39257, 0,
                        39256, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Instructor Razuvious",
                    Loot =
                    {
                        39309, 39310, 39308, 39299, 39307, 39306, 39298, 0,
                        39297, 0,
                        39311, 39296, 0,
                    },
                },
                {
                    Name = "Gothik the Harvester",
                    Loot =
                    {
                        39390, 39386, 39391, 39379, 39345, 39369, 0,
                        39392, 39389, 39388, 0,
                        39344, 0,
                    },
                },
                {
                    Name = "The Four Horsemen",
                    Loot =
                    {
                        40610, 40611, 40612, 0,
                        39396, 39397, 39395, 0,
                        39394, 39393, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Patchwerk",
                    Loot =
                    {
                        39273, 39275, 39274, 39267, 39262, 39261, 0,
                        39272, 0,
                        39271, 39270, 0,
                    },
                },
                {
                    Name = "Grobbulus",
                    Loot =
                    {
                        39284, 39285, 39283, 39279, 39278, 39280, 0,
                        39282, 39277, 0,
                        39281, 39276, 0,
                    },
                },
                {
                    Name = "Gluth",
                    Loot =
                    {
                        40622, 40623, 40624, 0,
                        40610, 40611, 40612, 0,
                        40619, 40620, 40621, 0,
                        39284, 39396, 39309, 39237, 39279, 39191, 39215, 39294, 39248, 39194, 39251, 39379, 39188, 39345, 0,
                        39272, 39146, 39232, 39193, 39388, 0,
                        39394, 39200, 39344, 39281, 0,
                    },
                },
                {
                    Name = "Thaddius",
                    Loot =
                    {
                        40619, 40620, 40621, 0,
                        39295, 39294, 39293, 0,
                        39292, 39291, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Sapphiron",
                    Loot =
                    {
                        39409, 39408, 39399, 39405, 39403, 39398, 0,
                        39415, 39404, 39401, 39407, 0,
                        44569, 0,
                    },
                },
                {
                    Name = "Kel'Thuzad",
                    Loot =
                    {
                        40616, 40617, 40618, 0,
                        39425, 39421, 0,
                        39416, 39424, 39420, 39417, 39423, 39422, 39426, 39419, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Trash",
                    Loot =
                    {
                        39467, 0,
                        39472, 39470, 0,
                        39427, 39468, 39473, 0,
                    },
                },
                { Separator = true },
                {
                    Name = " + Tier 7 Pieces",
                    Loot =
                    {
                        39631, 39637, 39642, 39518, 39529, 39499, 0,
                        39608, 39613, 39581, 39590, 39596, 39604, 0,
                        39565, 39621, 39627, 39494, 39542, 39548, 39556, 0,
                        39629, 39633, 39638, 39515, 39523, 39497, 0,
                        39606, 39611, 39579, 39588, 39592, 39597, 0,
                        39558, 39617, 39623, 39492, 39538, 39547, 39554, 0,
                        39630, 39636, 39641, 39517, 39528, 39498, 0,
                        39607, 39612, 39580, 39589, 39595, 39603, 0,
                        39564, 39620, 39626, 39493, 39539, 39546, 39555, 0,
                        39628, 39635, 39640, 39514, 39521, 39496, 0,
                        39605, 39610, 39578, 39583, 39594, 39602, 0,
                        39561, 39619, 39625, 39491, 39531, 39545, 39553, 0,
                    },
                },
                {
                    Name = " + Quest Rewards",
                    Loot =
                    {
                        44658, 44657, 44659, 44660, 0,
                    },
                },
            },
        },
        --]]
        [3011] = {
            -- Name = "Naxxramas 25",
            -- NameShort = "Naxx 25",
            Name = "Naxxramas",
            NameShort = "Naxx",
            Expansion = 2,
            Children =
            {
                {
                    Name = "Anub'Rekhan",
                    Loot =
                    {
                        39719, 39721, 39720, 39722, 39701, 39702, 39718, 39704, 39703, 39717, 39706, 0,
                        40071, 40065, 40069, 40064, 40080, 40075, 40107, 40074, 0,
                        39714, 40208, 39716, 39712, 0,
                    },
                },
                {
                    Name = "Grand Widow Faerlina",
                    Loot =
                    {
                        39732, 39731, 39733, 39735, 39756, 39727, 39724, 39734, 39723, 39725, 39729, 39726, 0,
                        40071, 40065, 40069, 40064, 40080, 40075, 40107, 40108, 40074, 0,
                        39730, 39757, 39728, 0,
                    },
                },
                {
                    Name = "Maexxna",
                    Loot =
                    {
                        40062, 40060, 39768, 40063, 39765, 39761, 40061, 39762, 39760, 39767, 39764, 39759, 0,
                        40250, 40254, 40252, 40253, 40251, 40257, 40255, 40258, 40256, 0,
                        39766, 39763, 39758, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Noth the Plaguebringer",
                    Loot =
                    {
                        40602, 40198, 40197, 40186, 40200, 40193, 40196, 40184, 40185, 40188, 40187, 0,
                        40071, 40065, 40069, 40064, 40080, 40075, 40107, 40074, 0,
                        40192, 40189, 40190, 40191, 0,
                    },
                },
                {
                    Name = "Heigan the Unclean",
                    Loot =
                    {
                        40234, 40236, 40238, 40205, 40235, 40209, 40201, 40237, 40203, 40210, 40204, 40206, 0,
                        40250, 40254, 40252, 40253, 40251, 40257, 40255, 40258, 40256, 0,
                        40207, 40208, 40233, 0,
                    },
                },
                {
                    Name = "Loatheb",
                    Loot =
                    {
                        40637, 40638, 40639, 0,
                        40247, 40246, 40249, 40243, 40242, 40241, 40240, 0,
                        40239, 40244, 40245, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Instructor Razuvious",
                    Loot =
                    {
                        40325, 40326, 40305, 40319, 40323, 40315, 40324, 40327, 40306, 40316, 40317, 40318, 40320, 0,
                        40071, 40065, 40069, 40064, 40080, 40075, 40107, 40074, 0,
                        40321, 40322, 0,
                    },
                },
                {
                    Name = "Gothik the Harvester",
                    Loot =
                    {
                        40339, 40338, 40329, 40341, 40333, 40340, 40331, 40328, 40334, 40332, 40330, 0,
                        40250, 40254, 40252, 40253, 40251, 40257, 40255, 40258, 40256, 0,
                        40342, 40337, 40336, 40335, 0,
                    },
                },
                {
                    Name = "The Four Horsemen",
                    Loot =
                    {
                        40625, 40626, 40627, 0,
                        40349, 40344, 40352, 40347, 0,
                        40350, 40348, 40345, 40343, 40346, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Patchwerk",
                    Loot =
                    {
                        40271, 40269, 40260, 40270, 40262, 40272, 40261, 40263, 40259, 0,
                        40071, 40065, 40069, 40064, 40080, 40075, 40107, 40074, 0,
                        40267, 40268, 40273, 40264, 40266, 40265, 0,
                    },
                },
                {
                    Name = "Grobbulus",
                    Loot =
                    {
                        40287, 40286, 40351, 40289, 40277, 40285, 40288, 40283, 40282, 40275, 40279, 40274, 40278, 0,
                        40250, 40254, 40252, 40253, 40251, 40257, 40255, 40258, 40256, 0,
                        40280, 40281, 40284, 0,
                    },
                },
                {
                    Name = "Gluth",
                    Loot =
                    {
                        40637, 40638, 40639, 0,
                        40625, 40626, 40627, 0,
                        40634, 40635, 40636, 0,
                        40247, 40289, 40602, 39733, 40303, 40326, 40296, 39768, 40319, 40260, 40205, 40270, 40193, 40209, 40302, 39718, 40242, 39760, 40185, 40203, 40332, 40188, 40259, 40204, 39717, 40206, 40297, 0,
                        40191, 40350, 40281, 39714, 39730, 40343, 40239, 40280, 39716, 40265, 40346, 0,
                    },
                },
                {
                    Name = "Thaddius",
                    Loot =
                    {
                        40634, 40635, 40636, 0,
                        40303, 40301, 40296, 40304, 40299, 40302, 40298, 40294, 40297, 0,
                        40300, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Sapphiron",
                    Loot =
                    {
                        40381, 40380, 40376, 40362, 40379, 40367, 40366, 40377, 40365, 40363, 0,
                        40378, 40374, 40369, 40370, 40375, 40371, 40373, 40372, 40382, 0,
                        40368, 0,
                        44577, 0,
                    },
                },
                {
                    Name = "Kel'Thuzad",
                    Loot =
                    {
                        40631, 40632, 40633, 0,
                        40398, 0,
                        40405, 40403, 40387, 40399, 0,
                        40388, 40383, 40386, 40396, 40402, 40384, 40395, 40401, 40400, 40385, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Trash",
                    Loot =
                    {
                        40409, 40414, 0,
                        40410, 40412, 0,
                        40408, 40407, 40406, 0,
                    },
                },
                { Separator = true },
                {
                    Name = " + Tier 7 Pieces",
                    Loot =
                    {
                        40573, 40578, 40584, 40450, 40459, 40424, 0,
                        40530, 40548, 40507, 40513, 40518, 40524, 0,
                        40502, 40557, 40568, 40419, 40465, 40470, 40494, 0,
                        40569, 40574, 40579, 40449, 40458, 40423, 0,
                        40525, 40544, 40503, 40508, 40514, 40523, 0,
                        40495, 40550, 40559, 40418, 40463, 40469, 40471, 0,
                        40572, 40577, 40583, 40448, 40457, 40422, 0,
                        40529, 40547, 40506, 40512, 40517, 40522, 0,
                        40500, 40556, 40567, 40417, 40462, 40468, 40493, 0,
                        40571, 40576, 40581, 40447, 40456, 40421, 0,
                        40528, 40546, 40505, 40510, 40516, 40521, 0,
                        40499, 40554, 40565, 40416, 40461, 40467, 40473, 0,
                    },
                },
                {
                    Name = " + Quest Rewards",
                    Loot =
                    {
                        44661, 44662, 44664, 44665, 0,
                    },
                },
            },
        },
        
        -- Eye of Eternity
        --[[
        [3020] = {
            Name = "Eye of Eternity 10",
            NameShort = "Eye 10",
            Expansion = 2,
            Children =
            {
                {
                    Name = "Malygos",
                    Loot =
                    {
                        40526, 40519, 40511, 0,
                        40486, 40474, 0,
                        40489, 40491, 40488, 40497, 40475, 0,
                        43952, 0,
                    },
                },
            },
        },
        --]]
        [3021] = {
            -- Name = "Eye of Eternity 25",
            -- NameShort = "Eye 25",
            Name = "Eye of Eternity",
            NameShort = "Eye",
            Expansion = 2,
            Children =
            {
                {
                    Name = "Malygos",
                    Loot =
                    {
                        40562, 40555, 40194, 40561, 40560, 40558, 40594, 40539, 40541, 40566, 40543, 40588, 40564, 40549, 40590, 40589, 40592, 40591, 0,
                        40532, 40531, 0,
                        43952, 0,
                    },
                },
            },
        },
        
        -- The Obsidian Sanctum
        --[[
        [3030] = {
            Name = "The Obsidian Sanctum 10",
            NameShort = "OS 10",
            Expansion = 2,
            Children =
            {
                {
                    Name = "Sartharion",
                    Loot =
                    {
                        40613, 40614, 40615, 0,
                        40428, 0,
                        40427, 40426, 40433, 40430, 0,
                        40429, 0,
                        43345, 43347, 0,
                    },
                },
                {
                    Name = " - One Drake Left",
                    Loot =
                    {
                        43990, 43991, 43989, 0,
                        43988, 43992, 0,
                    },
                },
                {
                    Name = " - Two Drakes Left",
                    Loot =
                    {
                        43995, 43998, 43996, 43994, 0,
                        43993, 0,
                    },
                },
                {
                    Name = " - Three Drakes Left",
                    Loot =
                    {
                        43986, 0,
                    },
                },
                { Separator = true },
                {
                    Name = " + Tier 7 Pieces",
                    Loot =
                    {
                        39632, 39634, 39639, 39519, 39530, 39500, 0,
                        39609, 39622, 39582, 39591, 39593, 39601, 0,
                        39560, 39618, 39624, 39495, 39543, 39544, 39557, 0,
                    },
                },
            },
        },
        --]]
        [3029] = {
            Name = "The Obsidian Sanctum 10",
            NameShort = "OS 10",
            Expansion = 2,
            Children =
            {
                {
                    Name = "Sartharion",
                    Loot =
                    {
                        40628, 40629, 40630, 0,
                        40437, 40439, 40451, 40438, 40453, 40446, 0,
                        40433, 40431, 40432, 0,
                        40455, 0,
                        43345, 43346, 0,
                    },
                },
                {
                    Name = " - One Drake Left",
                    Loot =
                    {
                        44002, 44003, 44004, 44000, 0,
                    },
                },
                {
                    Name = " - Two Drakes Left",
                    Loot =
                    {
                        44008, 44007, 44011, 44006, 0,
                        44005, 0,
                    },
                },
                {
                    Name = " - Three Drakes Left",
                    Loot =
                    {
                        43986, 0,
                    },
                },
                { Separator = true },
                {
                    Name = " + Tier 7 Pieces",
                    Loot =
                    {
                        40570, 40575, 40580, 40445, 40454, 40420, 0,
                        40527, 40545, 40504, 40509, 40515, 40520, 0,
                        40496, 40552, 40563, 40415, 40460, 40466, 40472, 0,
                    },
                },
            },
        },
        [3031] = {
            Name = "The Obsidian Sanctum 25",
            NameShort = "OS 25",
            Expansion = 2,
            Children =
            {
                {
                    Name = "Sartharion",
                    Loot =
                    {
                        40628, 40629, 40630, 0,
                        40437, 40439, 40451, 40438, 40453, 40446, 0,
                        40433, 40431, 40432, 0,
                        40455, 0,
                        43345, 43346, 0,
                    },
                },
                {
                    Name = " - One Drake Left",
                    Loot =
                    {
                        44002, 44003, 44004, 44000, 0,
                    },
                },
                {
                    Name = " - Two Drakes Left",
                    Loot =
                    {
                        44008, 44007, 44011, 44006, 0,
                        44005, 0,
                    },
                },
                {
                    Name = " - Three Drakes Left",
                    Loot =
                    {
                        43954, 0,
                    },
                },
                { Separator = true },
                {
                    Name = " + Tier 7 Pieces",
                    Loot =
                    {
                        40570, 40575, 40580, 40445, 40454, 40420, 0,
                        40527, 40545, 40504, 40509, 40515, 40520, 0,
                        40496, 40552, 40563, 40415, 40460, 40466, 40472, 0,
                    },
                },
            },
        },
        
        -- Ulduar
        [3040] = {
            Name = "Ulduar 10",
            NameShort = "Uld 10",
            Expansion = 2,
            Children =
            {
                {
                    Name = "Flame Leviathan",
                    Loot =
                    {
                        45289, 45291, 45288, 45283, 0,
                        45285, 45292, 45286, 0,
                        45284, 45287, 45282, 0,
                    },
                },
                {
                    Name = " - All Defences Active",
                    Loot =
                    {
                        45293, 45300, 45295, 0,
                        45297, 0,
                        45296, 0,
                    },
                },
                {
                    Name = "Ignis the Furnace Master",
                    Loot =
                    {
                        45312, 45316, 45321, 45310, 0,
                        45317, 45318, 45313, 0,
                        45314, 45311, 45309, 0,
                    },
                },
                {
                    Name = "Razorscale",
                    Loot =
                    {
                        45306, 45302, 45301, 45307, 45299, 45305, 45304, 0,
                        45303, 45308, 0,
                        45298, 0,
                    },
                },
                {
                    Name = "XT-002 Deconstructor",
                    Loot =
                    {
                        45694, 45677, 45686, 45687, 45679, 45676, 45680, 0,
                        45675, 0,
                        45685, 45682, 0,
                    },
                },
                {
                    Name = " - Heart Broken",
                    Loot =
                    {
                        45869, 45867, 0,
                        45871, 0,
                        45868, 45870, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "The Iron Council",
                    Loot =
                    {
                        45423, 45324, 45378, 45329, 45333, 45330, 0,
                        45322, 45418, 0,
                        45332, 45331, 0,
                    },
                },
                {
                    Name = " - Steelbreaker Last",
                    Loot =
                    {
                        45455, 0,
                        45447, 45456, 0,
                        45449, 45448, 0,
                    },
                },
                {
                    Name = "Kologarn",
                    Loot =
                    {
                        45701, 45697, 45698, 0,
                        45704, 45696, 45699, 45702, 45703, 0,
                        45700, 45695, 0,
                    },
                },
                {
                    Name = "Algalon the Observer",
                    Loot =
                    {
                        46045, 46050, 46043, 46049, 46044, 46037, 46039, 46041, 0,
                        46042, 46047, 46040, 46048, 46046, 46038, 46051, 0,
                        46052, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Auriaya",
                    Loot =
                    {
                        45832, 45865, 45864, 45709, 45711, 45712, 45708, 0,
                        45866, 0,
                        45707, 45713, 0,
                    },
                },
                {
                    Name = "Hodir",
                    Loot =
                    {
                        45650, 45651, 45652, 0,
                        45464, 0,
                        45873, 45874, 0,
                        45458, 45872, 0,
                    },
                },
                {
                    Name = " - Unbroken Cache",
                    Loot =
                    {
                        45888, 0,
                        45876, 45886, 45887, 45877, 0,
                    },
                },
                {
                    Name = "Thorim",
                    Loot =
                    {
                        45659, 45660, 45661, 0,
                        45927, 45894, 45893, 45895, 0,
                        45892, 0,
                    },
                },
                {
                    Name = " - Sif Present",
                    Loot =
                    {
                        45928, 0,
                        45933, 45931, 45929, 0,
                        45930, 0,
                    },
                },
                {
                    Name = "Freya",
                    Loot =
                    {
                        45644, 45645, 45646, 0,
                        45940, 45941, 45935, 45936, 0,
                        45934, 0,
                        46110, 0,
                    },
                },
                {
                    Name = " - All Elders Alive",
                    Loot =
                    {
                        45943, 0,
                        45945, 45946, 0,
                        45947, 45294, 0,
                    },
                },
                {
                    Name = "Mimiron",
                    Loot =
                    {
                        45647, 45648, 45649, 0,
                        45976, 45974, 45975, 0,
                        45973, 0,
                        45972, 0,
                    },
                },
                {
                    Name = " - Self Destruct Activated",
                    Loot =
                    {
                        45993, 45989, 45982, 45988, 0,
                        45990, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "General Vezax",
                    Loot =
                    {
                        46013, 46012, 46009, 46346, 45997, 0,
                        46014, 46008, 46015, 46010, 0,
                        46011, 45996, 0,
                    },
                },
                {
                    Name = " - Saronite Animus Defeated",
                    Loot =
                    {
                        46034, 0,
                        46032, 0,
                        46036, 46035, 46033, 0,
                    },
                },
                {
                    Name = "Yogg-Saron",
                    Loot =
                    {
                        45635, 45636, 45637, 0,
                        46030, 46019, 46028, 0,
                        46022, 46021, 0,
                        46024, 46016, 46031, 46025, 46018, 0,
                    },
                },
                {
                    Name = " - One or Fewer Keepers",
                    Loot =
                    {
                        46068, 46095, 0,
                        46096, 0,
                        46097, 46067, 0,
                    },
                },
                {
                    Name = " - No Keepers",
                    Loot =
                    {
                        46312, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Trash",
                    Loot =
                    {
                        46344, 46346, 46345, 46340, 0,
                        46341, 46347, 46343, 0,
                        46351, 46350, 46342, 46339, 0,
                    },
                },
                {
                    Name = "Patterns",
                    Loot =
                    {
                        45089, 45088, 45092, 45090, 45093, 45091, 0,
                        45100, 45094, 45096, 45095, 45101, 45098, 45099, 45097, 0,
                        45104, 45102, 45105, 45103, 0,
                        46027, 46348, 0,
                    },
                },
                { Separator = true },
                {
                    Name = " + Tier 8 Pieces",
                    Loot =
                    {
                        45371, 45379, 45384, 45388, 45394, 45420, 0,
                        45427, 45432, 45362, 45403, 45409, 45416, 0,
                        45399, 45338, 45343, 45367, 45347, 45353, 45357, 0,
                        45373, 45380, 45385, 45390, 45393, 45422, 0,
                        45428, 45433, 45363, 45404, 45410, 45415, 0,
                        45400, 45339, 45344, 45369, 45349, 45352, 45359, 0,
                        45370, 45376, 45383, 45387, 45392, 45419, 0,
                        45426, 45430, 45360, 45401, 45406, 45414, 0,
                        45397, 45337, 45341, 46131, 45345, 45351, 45355, 0,
                        45372, 45377, 45382, 45386, 45391, 45417, 0,
                        45425, 45431, 45361, 45402, 45408, 45412, 0,
                        45398, 45336, 45342, 45365, 45346, 45356, 46313, 0,
                        45374, 45375, 45381, 45389, 45395, 45421, 0,
                        45424, 45429, 45364, 45405, 45411, 45413, 0,
                        45396, 45335, 45340, 45368, 45348, 45354, 45358, 0,
                    },
                },
                {
                    Name = " + Quest Rewards",
                    Loot =
                    {
                        46321, 46323, 46320, 46322, 0,
                    },
                },
            },
        },
        [3041] = {
            Name = "Ulduar 25",
            NameShort = "Uld 25",
            Expansion = 2,
            Children =
            {
                {
                    Name = "Flame Leviathan",
                    Loot =
                    {
                        45117, 45119, 45108, 45118, 45109, 45107, 45111, 0,
                        45116, 45113, 45106, 45112, 0,
                        45114, 45115, 45110, 45086, 0,
                        45038, 0,
                    },
                },
                {
                    Name = " - All Defences Active",
                    Loot =
                    {
                        45135, 45136, 45134, 0,
                        45133, 0,
                        45132, 0,
                    },
                },
                {
                    Name = "Ignis the Furnace Master",
                    Loot =
                    {
                        45186, 45185, 45162, 45164, 45187, 45167, 45161, 45166, 0,
                        45157, 45168, 45158, 0,
                        45169, 45165, 45171, 45170, 0,
                        45038, 0,
                    },
                },
                {
                    Name = "Razorscale",
                    Loot =
                    {
                        45150, 45146, 45149, 45141, 45151, 45143, 45140, 45139, 0,
                        45138, 45148, 0,
                        45510, 45144, 45142, 45147, 45137, 0,
                        45038, 0,
                    },
                },
                {
                    Name = "XT-002 Deconstructor",
                    Loot =
                    {
                        45253, 45258, 45260, 45259, 45249, 45251, 45252, 45248, 0,
                        45250, 45247, 0,
                        45254, 45255, 45246, 45256, 45257, 0,
                        45038, 0,
                    },
                },
                {
                    Name = " - Heart Broken",
                    Loot =
                    {
                        45446, 45444, 45445, 0,
                        45443, 0,
                        45442, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "The Iron Council",
                    Loot =
                    {
                        45240, 45238, 45237, 45232, 45227, 45239, 45226, 45225, 45228, 0,
                        45224, 45193, 45236, 45235, 0,
                        45233, 45234, 0,
                        45038, 0,
                    },
                },
                {
                    Name = " - Steelbreaker Last",
                    Loot =
                    {
                        45245, 45244, 45241, 0,
                        45242, 45243, 0,
                        45607, 0,
                    },
                },
                {
                    Name = "Kologarn",
                    Loot =
                    {
                        45272, 45275, 45273, 45265, 45274, 45264, 45269, 45268, 45267, 0,
                        45262, 45263, 0,
                        45270, 45271, 45266, 45261, 0,
                        45038, 0,
                    },
                },
                {
                    Name = "Algalon the Observer",
                    Loot =
                    {
                        45665, 45619, 45611, 45616, 45610, 45615, 45594, 45599, 0,
                        45609, 0,
                        45617, 45620, 45607, 45612, 45613, 45587, 45570, 0,
                        46053, 0,
                        45038, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Auriaya",
                    Loot =
                    {
                        45435, 45441, 45439, 45325, 45440, 45320, 45334, 45434, 0,
                        45319, 45326, 45438, 0,
                        45436, 45437, 45315, 45327, 0,
                        45038, 0,
                    },
                },
                {
                    Name = "Hodir",
                    Loot =
                    {
                        45632, 45633, 45634, 0,
                        45453, 45454, 45452, 0,
                        45451, 0,
                        45450, 0,
                        45038, 0,
                    },
                },
                {
                    Name = " - Unbroken Cache",
                    Loot =
                    {
                        45462, 45460, 0,
                        45461, 45459, 0,
                        45612, 45457, 0,
                    },
                },
                {
                    Name = "Thorim",
                    Loot =
                    {
                        45638, 45639, 45640, 0,
                        45468, 45467, 0,
                        45469, 45466, 0,
                        45463, 0,
                        45038, 0,
                    },
                },
                {
                    Name = " - Sif Present",
                    Loot =
                    {
                        45473, 45474, 45472, 0,
                        45471, 0,
                        45570, 45470, 0,
                    },
                },
                {
                    Name = "Freya",
                    Loot =
                    {
                        45653, 45654, 45655, 0,
                        45483, 45482, 45481, 0,
                        45480, 45479, 0,
                        46110, 0,
                        45038, 0,
                    },
                },
                {
                    Name = " - All Elders Alive",
                    Loot =
                    {
                        45488, 45487, 0,
                        45486, 45485, 0,
                        45484, 45613, 0,
                    },
                },
                {
                    Name = "Mimiron",
                    Loot =
                    {
                        45641, 45642, 45643, 0,
                        45492, 45491, 0,
                        45493, 45490, 0,
                        45489, 0,
                        45038, 0,
                    },
                },
                {
                    Name = " - Self Destruct Activated",
                    Loot =
                    {
                        45497, 45663, 0,
                        45496, 45495, 0,
                        45494, 45620, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "General Vezax",
                    Loot =
                    {
                        45514, 45508, 45512, 45504, 45513, 45502, 45505, 45501, 0,
                        45503, 45515, 45507, 0,
                        45509, 45145, 45498, 45511, 0,
                        45038, 0,
                    },
                },
                {
                    Name = " - Saronite Animus Defeated",
                    Loot =
                    {
                        45520, 45519, 0,
                        45517, 45518, 0,
                        45516, 0,
                    },
                },
                {
                    Name = "Yogg-Saron",
                    Loot =
                    {
                        45656, 45657, 45658, 0,
                        45532, 45523, 45524, 45531, 0,
                        45529, 45525, 45530, 45522, 0,
                        45527, 45521, 0,
                        45038, 0,
                    },
                },
                {
                    Name = " - One or Fewer Keepers",
                    Loot =
                    {
                        45537, 45536, 0,
                        45534, 45535, 0,
                        45533, 0,
                    },
                },
                {
                    Name = " - No Keepers",
                    Loot =
                    {
                        45693, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Trash",
                    Loot =
                    {
                        45549, 45547, 45548, 45543, 45544, 45542, 0,
                        45541, 45540, 45539, 45538, 0,
                        45605, 0,
                    },
                },
                {
                    Name = "Patterns",
                    Loot =
                    {
                        45089, 45088, 45092, 45090, 45093, 45091, 0,
                        45100, 45094, 45096, 45095, 45101, 45098, 45099, 45097, 0,
                        45104, 45102, 45105, 45103, 0,
                        46027, 46348, 0,
                    },
                },
                { Separator = true },
                {
                    Name = " + Tier 8 Pieces",
                    Loot =
                    {
                        46154, 46173, 46178, 46168, 46193, 46137, 0,
                        46146, 46162, 46141, 46198, 46205, 46206, 0,
                        46123, 46111, 46118, 46130, 46159, 46186, 46194, 0,
                        46156, 46175, 46180, 46172, 46197, 46140, 0,
                        46151, 46166, 46143, 46201, 46209, 46212, 0,
                        46125, 46115, 46120, 46129, 46161, 46184, 46191, 0,
                        46153, 46176, 46181, 46170, 46195, 46139, 0,
                        46150, 46169, 46144, 46202, 46208, 46210, 0,
                        46126, 46116, 46121, 46133, 46160, 46185, 46192, 0,
                        46155, 46174, 46179, 46163, 46188, 46135, 0,
                        46148, 46164, 46142, 46199, 46200, 46207, 0,
                        46124, 46113, 46119, 46132, 46158, 46183, 46189, 0,
                        46152, 46177, 46182, 46165, 46190, 46136, 0,
                        46149, 46167, 46145, 46203, 46204, 46211, 0,
                        46127, 46117, 46122, 46134, 46157, 46187, 46196, 0,
                    },
                },
                {
                    Name = " + Quest Rewards",
                    Loot =
                    {
                        45618, 45614, 45588, 45608, 0,
                        46017, 0,
                    },
                },
            },
        },
        
        -- Trial of the Crusader
        [3050] = {
            Name = "Trial of the Crusader 10",
            NameShort = "TotC 10",
            Expansion = 2,
            Children =
            {
                {
                    Name = "The Beasts of Northrend",
                    Loot =
                    {
                        47617, 47613, 47608, 47616, 47610, 47611, 47609, 47615, 47614, 0,
                        47607, 47578, 0,
                        47612, 0,
                    },
                },
                {
                    Name = "Lord Jaraxxus",
                    Loot =
                    {
                        47663, 47620, 47669, 47621, 49235, 47683, 47680, 47711, 0,
                        47619, 47679, 47618, 47703, 0,
                        47676, 0,
                    },
                },
                {
                    Name = "Faction Champions",
                    Loot =
                    {
                        47721, 47719, 47718, 47717, 47720, 0,
                        47728, 47727, 47726, 47725, 0,
                        47724, 0,
                    },
                },
                {
                    Name = "The Twin Val'kyr",
                    Loot =
                    {
                        47745, 49231, 47746, 47739, 47744, 47738, 0,
                        47747, 47700, 0,
                        47742, 47736, 47737, 47743, 47740, 0,
                    },
                },
                {
                    Name = "Anub'arak",
                    Loot =
                    {
                        47838, 47837, 47832, 47813, 47829, 47811, 47836, 47830, 0,
                        47810, 47814, 47808, 47809, 47816, 47834, 47815, 47835, 47812, 47741, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Patterns",
                    Loot =
                    {
                        47556, 0,
                        47622, 47623, 47627, 47626, 47624, 47625, 0,
                        47629, 47635, 47631, 47630, 47628, 47634, 47632, 47633, 0,
                        47654, 47655, 47656, 47657, 0,
                    },
                },
            },
        },
        [3051] = {
            Name = "Trial of the Crusader 10 Heroic",
            NameShort = "TotC 10 Heroic",
            Expansion = 2,
            Children =
            {
                {
                    Name = "The Beasts of Northrend",
                    Loot =
                    {
                        47921, 47923, 47919, 47926, 47916, 47918, 47917, 47924, 47925, 0,
                        47915, 47920, 0,
                        47922, 0,
                    },
                },
                {
                    Name = "Lord Jaraxxus",
                    Loot =
                    {
                        47927, 47931, 47929, 47932, 49238, 47933, 47935, 47937, 0,
                        47930, 47939, 47928, 47934, 0,
                        47938, 0,
                    },
                },
                {
                    Name = "Faction Champions",
                    Loot =
                    {
                        47940, 47945, 47942, 47943, 47944, 0,
                        47947, 47949, 47946, 47948, 0,
                        47941, 0,
                    },
                },
                {
                    Name = "The Twin Val'kyr",
                    Loot =
                    {
                        47956, 49234, 47959, 47954, 47961, 47952, 0,
                        47957, 47955, 0,
                        47958, 47953, 47951, 47960, 47950, 0,
                    },
                },
                {
                    Name = "Anub'arak",
                    Loot =
                    {
                        47974, 47977, 47972, 47965, 47969, 47964, 47976, 47970, 0,
                        47967, 47971, 47966, 47962, 47973, 47979, 47968, 47978, 47963, 47975, 0,
                    },
                },
                { Separator = true },
                { Name = "Tribute Chest", Header = true },
                {
                    Name = " - 1-24 Attempts left",
                    Loot =
                    {
                        47242, 0,
                        47556, 0,
                    },
                },
                {
                    Name = " - 25-44 Attempts left",
                    Loot =
                    {
                        48712, 48714, 48709, 48708, 48710, 48713, 48711, 0,
                    },
                },
                {
                    Name = " - 45-49 Attempts left",
                    Loot =
                    {
                        47242, 0,
                    },
                },
                {
                    Name = " - 50 Attempts left",
                    Loot =
                    {
                        49044, 0,
                        48671, 48672, 48674, 48673, 48675, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Patterns",
                    Loot =
                    {
                        47556, 0,
                        47622, 47623, 47627, 47626, 47624, 47625, 0,
                        47629, 47635, 47631, 47630, 47628, 47634, 47632, 47633, 0,
                        47654, 47655, 47656, 47657, 0,
                    },
                },
            },
        },
        [3052] = {
            Name = "Trial of the Crusader 25",
            NameShort = "TotC 25",
            Expansion = 2,
            Children =
            {
                {
                    Name = "The Beasts of Northrend",
                    Loot =
                    {
                        47242, 0,
                        46992, 46972, 46974, 46988, 46960, 46990, 46962, 46961, 46985, 0,
                        46970, 46976, 46959, 0,
                        46979, 46958, 46963, 0,
                    },
                },
                {
                    Name = "Lord Jaraxxus",
                    Loot =
                    {
                        47242, 0,
                        47051, 47000, 47055, 47056, 46999, 47057, 47052, 46997, 0,
                        47042, 47043, 47223, 47041, 0,
                        47053, 46996, 46994, 0,
                    },
                },
                {
                    Name = "Faction Champions",
                    Loot =
                    {
                        47242, 0,
                        47081, 47092, 47094, 47071, 47073, 47083, 47090, 47082, 47093, 47072, 0,
                        47089, 47070, 47080, 0,
                        47069, 47079, 0,
                    },
                },
                {
                    Name = "The Twin Val'kyr",
                    Loot =
                    {
                        47242, 0,
                        47126, 47141, 47107, 47140, 47106, 47142, 47108, 47121, 0,
                        47116, 47105, 47139, 47115, 0,
                        47138, 47104, 47114, 0,
                    },
                },
                {
                    Name = "Anub'arak",
                    Loot =
                    {
                        47242, 0,
                        47203, 47235, 47187, 47194, 47151, 47186, 47204, 47152, 47184, 47234, 47195, 47150, 0,
                        47225, 47183, 47054, 47149, 47182, 0,
                        47148, 47193, 47233, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Patterns",
                    Loot =
                    {
                        47556, 0,
                        47622, 47623, 47627, 47626, 47624, 47625, 0,
                        47629, 47635, 47631, 47630, 47628, 47634, 47632, 47633, 0,
                        47654, 47655, 47656, 47657, 0,
                    },
                },
                { Separator = true },
                {
                    Name = " + Tier 9 Pieces",
                    Loot =
                    {
                        -- Alliance
                        47778, 47781, 47779, 47782, 47780, 0,
                        47984, 47987, 47986, 47983, 47985, 0, 48078, 48081, 48080, 48077, 48079, 0,
                        48225, 48227, 48223, 48224, 48226, 0,
                        48257, 48259, 48255, 48256, 48258, 0,
                        48430, 48454, 48450, 48452, 48446, 0, 48378, 48380, 48376, 48377, 48379, 0,
                        48540, 48542, 48538, 48539, 48541, 0, 48483, 48485, 48481, 48482, 48484, 0,
                        47754, 47757, 47756, 47753, 47755, 0,
                        48134, 48137, 48136, 48133, 48135, 0, 48164, 48167, 48166, 48163, 48165, 0, 48211, 48208, 48209, 48212, 48210, 0,
                        48287, 48289, 48285, 48286, 48288, 0, 48318, 48320, 48316, 48317, 48319, 0, 48348, 48350, 48346, 48347, 48349, 0,
                        48577, 48579, 48575, 48576, 48578, 0, 48639, 48637, 48641, 48640, 48638, 0, 48609, 48611, 48607, 48608, 48610, 0,
                        
                        -- Horde
                        47804, 47807, 47806, 47803, 47805, 0,
                        48065, 48062, 48063, 48066, 48064, 0, 48095, 48092, 48093, 48096, 48094, 0,
                        48240, 48238, 48242, 48241, 48239, 0,
                        48272, 48270, 48274, 48273, 48271, 0,
                        48463, 48465, 48461, 48462, 48464, 0, 48393, 48395, 48391, 48392, 48394, 0,
                        48555, 48553, 48557, 48556, 48554, 0, 48498, 48496, 48500, 48499, 48497, 0,
                        47771, 47768, 47769, 47772, 47770, 0,
                        48151, 48148, 48149, 48152, 48150, 0, 48181, 48178, 48179, 48182, 48180, 0, 48194, 48197, 48196, 48193, 48195, 0,
                        48302, 48304, 48300, 48301, 48303, 0, 48333, 48331, 48335, 48334, 48332, 0, 48363, 48361, 48365, 48364, 48362, 0,
                        48592, 48590, 48594, 48593, 48591, 0, 48659, 48661, 48657, 48658, 48660, 0, 48624, 48622, 48626, 48625, 48623, 0,
                    },
                },
            },
        },
        [3053] = {
            Name = "Trial of the Crusader 25 Heroic",
            NameShort = "TotC 25 Heroic",
            Expansion = 2,
            Children =
            {
                {
                    Name = "The Beasts of Northrend",
                    Loot =
                    {
                        47242, 0,
                        46993, 46973, 46975, 46989, 46965, 46991, 46968, 46967, 46986, 0,
                        46971, 46977, 46966, 0,
                        46980, 46969, 46964, 0,
                    },
                },
                {
                    Name = "Lord Jaraxxus",
                    Loot =
                    {
                        47242, 0,
                        47062, 47004, 47066, 47068, 47002, 47067, 47061, 47003, 0,
                        47063, 47060, 47224, 47059, 0,
                        47064, 47001, 46995, 0,
                    },
                },
                {
                    Name = "Faction Champions",
                    Loot =
                    {
                        47242, 0,
                        47084, 47097, 47096, 47077, 47074, 47087, 47099, 47086, 47098, 47076, 0,
                        47095, 47075, 47088, 0,
                        47078, 47085, 0,
                    },
                },
                {
                    Name = "The Twin Val'kyr",
                    Loot =
                    {
                        47242, 0,
                        47129, 47143, 47112, 47145, 47109, 47147, 47111, 47132, 0,
                        47133, 47110, 47144, 47131, 0,
                        47146, 47113, 47130, 0,
                    },
                },
                {
                    Name = "Anub'arak",
                    Loot =
                    {
                        47242, 0,
                        47208, 47236, 47189, 47205, 47155, 47190, 47209, 47153, 47191, 47240, 47207, 47154, 0,
                        47238, 47192, 47237, 47157, 47188, 0,
                        47156, 47206, 47239, 0,
                    },
                },
                { Separator = true },
                { Name = "Tribute Chest", Header = true },
                {
                    Name = " - 1-24 Attempts left",
                    Loot =
                    {
                        47557, 47558, 47559, 0,
                    },
                },
                {
                    Name = " - 25-44 Attempts left",
                    Loot =
                    {
                        47506, 47526, 47517, 47519, 47524, 47515, 47521, 0,
                    },
                },
                {
                    Name = " - 45-49 Attempts left",
                    Loot =
                    {
                        47557, 47558, 47559, 0,
                    },
                },
                {
                    Name = " - 50 Attempts left",
                    Loot =
                    {
                        49096, 0,
                        47552, 47553, 47547, 47545, 47549, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Patterns",
                    Loot =
                    {
                        47556, 0,
                        47622, 47623, 47627, 47626, 47624, 47625, 0,
                        47629, 47635, 47631, 47630, 47628, 47634, 47632, 47633, 0,
                        47654, 47655, 47656, 47657, 0,
                    },
                },
                { Separator = true },
                {
                    Name = " + Tier 9 Pieces",
                    Loot =
                    {
                        -- Alliance
                        47789, 47792, 47791, 47788, 47790, 0,
                        48035, 48029, 48031, 48037, 48033, 0, 48085, 48082, 48083, 48086, 48084, 0,
                        48230, 48228, 48232, 48231, 48229, 0,
                        48262, 48260, 48264, 48263, 48261, 0,
                        48433, 48455, 48451, 48453, 48447, 0, 48383, 48381, 48385, 48384, 48382, 0,
                        48545, 48543, 48547, 48546, 48544, 0, 48488, 48486, 48490, 48489, 48487, 0,
                        47761, 47758, 47759, 47762, 47760, 0,
                        48141, 48138, 48139, 48142, 48140, 0, 48171, 48168, 48169, 48172, 48170, 0, 48204, 48207, 48206, 48203, 48205, 0,
                        48292, 48290, 48294, 48293, 48291, 0, 48323, 48321, 48325, 48324, 48322, 0, 48353, 48351, 48355, 48354, 48352, 0,
                        48582, 48580, 48584, 48583, 48581, 0, 48644, 48646, 48642, 48643, 48645, 0, 48614, 48612, 48616, 48615, 48613, 0,
                        
                        -- Horde
                        47796, 47793, 47794, 47797, 47795, 0,
                        48058, 48061, 48060, 48057, 48059, 0, 48088, 48091, 48090, 48087, 48089, 0,
                        48235, 48237, 48233, 48234, 48236, 0,
                        48267, 48269, 48265, 48266, 48268, 0,
                        48468, 48470, 48466, 48467, 48469, 0, 48398, 48400, 48396, 48397, 48399, 0,
                        48550, 48552, 48548, 48549, 48551, 0, 48493, 48495, 48491, 48492, 48494, 0,
                        47764, 47767, 47766, 47763, 47765, 0,
                        48144, 48147, 48146, 48143, 48145, 0, 48174, 48177, 48176, 48173, 48175, 0, 48201, 48198, 48199, 48202, 48200, 0,
                        48307, 48309, 48305, 48306, 48308, 0, 48328, 48330, 48326, 48327, 48329, 0, 48358, 48360, 48356, 48357, 48359, 0,
                        48587, 48585, 48589, 48588, 48586, 0, 48649, 48647, 48651, 48650, 48648, 0, 48619, 48621, 48617, 48618, 48620, 0,
                    },
                },
            },
        },
        
        -- Onyxia's Lair
        [3060] = {
            Name = "Onyxia's Lair 10",
            NameShort = "Ony 10",
            Expansion = 2,
            Children =
            {
                {
                    Name = "Onyxia",
                    Loot =
                    {
                        49315, 49316, 49317, 49318, 49322, 49327, 49328, 49326, 49319, 49331, 49330, 49329, 49320, 49321, 49323, 49325, 49324, 49333, 49332, 0,
                        49307, 49306, 49309, 49463, 49310, 0,
                        49308, 49304, 49437, 49298, 49303, 49296, 49299, 49297, 49302, 49301, 49305, 0,
                        49644, 0,
                        49295, 49294, 0,
                        49636, 0,
                    },
                },
                { Separator = true },
                {
                    Name = " + Quest Rewards",
                    Loot =
                    {
                        49485, 49486, 49487, 0,
                    },
                },
            },
        },
        [3061] = {
            Name = "Onyxia's Lair 25",
            NameShort = "Ony 25",
            Expansion = 2,
            Children =
            {
                {
                    Name = "Onyxia",
                    Loot =
                    {
                        49484, 49482, 49483, 49481, 49477, 49472, 49473, 49471, 49480, 49469, 49468, 49470, 49479, 49478, 49476, 49475, 49474, 49467, 49466, 0,
                        49491, 49492, 49489, 49464, 49488, 0,
                        49490, 49494, 49465, 49499, 49495, 49501, 49498, 49500, 49496, 49497, 49493, 0,
                        49644, 0,
                        49295, 49294, 0,
                        49636, 0,
                    },
                },
                { Separator = true },
                {
                    Name = " + Quest Rewards",
                    Loot =
                    {
                        49485, 49486, 49487, 0,
                    },
                },
            },
        },
        
        -- Icecrown Citadel
        [3070] = {
            Name = "Icecrown Citadel 10",
            NameShort = "ICC 10",
            Expansion = 2,
            Children =
            {
                {
                    Name = "Lord Marrowgar",
                    Loot =
                    {
                        50773, 50774, 50762, 50775, 50772, 0,
                        50764, 50763, 50339, 0,
                        50771, 50761, 50759, 50760, 0,
                    },
                },
                {
                    Name = "Lady Deathwhisper",
                    Loot =
                    {
                        50785, 50782, 50780, 50778, 50783, 50777, 50784, 50779, 50786, 0,
                        50342, 0,
                        50781, 50776, 0,
                    },
                },
                {
                    Name = "Icecrown Gunship Battle",
                    Loot =
                    {
                        50795, 50797, 50792, 50789, 50796, 50788, 0,
                        50791, 50790, 50340, 0,
                        50793, 50787, 50794, 0,
                    },
                },
                {
                    Name = "Deathbringer Saurfang",
                    Loot =
                    {
                        50807, 50804, 50799, 50806, 50800, 50801, 50802, 50808, 0,
                        50809, 50803, 0,
                        50798, 50805, 0,
                    },
                },
                {
                    Name = "Festergut",
                    Loot =
                    {
                        50988, 50990, 50985, 50858, 50812, 50967, 50811, 0,
                        50859, 50852, 50986, 0,
                        50810, 50966, 0,
                    },
                },
                {
                    Name = "Rotface",
                    Loot =
                    {
                        51007, 51005, 51009, 51002, 51006, 51000, 0,
                        51008, 51001, 0,
                        51003, 51004, 50998, 0,
                    },
                },
                {
                    Name = "Professor Putricide",
                    Loot =
                    {
                        51020, 51017, 51013, 51015, 51019, 51014, 51018, 0,
                        51012, 51016, 50341, 0,
                        51011, 51010, 0,
                    },
                },
                {
                    Name = "Blood Prince Council",
                    Loot =
                    {
                        51379, 51380, 51023, 51325, 51383, 51025, 0,
                        51382, 51381, 51024, 0,
                        51021, 51022, 51326, 0,
                    },
                },
                {
                    Name = "Blood-Queen Lana'thel",
                    Loot =
                    {
                        51554, 51552, 51550, 51551, 51386, 51556, 51555, 0,
                        51548, 51387, 0,
                        51384, 51385, 51553, 0,
                    },
                },
                {
                    Name = "Valithria Dreamwalker",
                    Loot =
                    {
                        51777, 51585, 51565, 51583, 51566, 51586, 51563, 51564, 0,
                        51584, 0,
                        51562, 51582, 51561, 0,
                    },
                },
                {
                    Name = "Sindragosa",
                    Loot =
                    {
                        51790, 51783, 51789, 51792, 51785, 51782, 51786, 51787, 0,
                        51779, 0,
                        51784, 51788, 51791, 0,
                    },
                },
                {
                    Name = "The Lich King",
                    Loot =
                    {
                        51801, 51803, 51800, 51795, 51798, 51796, 51799, 51797, 51802, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Trash",
                    Loot =
                    {
                        50449, 50450, 50451, 0,
                        50452, 50447, 50453, 0,
                        50444, 0,
                    },
                },
            },
        },
        [3071] = {
            Name = "Icecrown Citadel 10 Heroic",
            NameShort = "ICC 10 Heroic",
            Expansion = 2,
            Children =
            {
                {
                    Name = "Lord Marrowgar",
                    Loot =
                    {
                        51930, 51929, 51935, 51928, 51931, 0,
                        51933, 51934, 50346, 0,
                        51932, 51936, 51938, 51937, 0,
                        49908, 0,
                    },
                },
                {
                    Name = "Lady Deathwhisper",
                    Loot =
                    {
                        51918, 51921, 51923, 51925, 51920, 51926, 51919, 51924, 51917, 0,
                        50343, 0,
                        51922, 51927, 0,
                        49908, 0,
                    },
                },
                {
                    Name = "Icecrown Gunship Battle",
                    Loot =
                    {
                        51908, 51906, 51911, 51914, 51907, 51915, 0,
                        51912, 51913, 50345, 0,
                        51910, 51916, 51909, 0,
                        49908, 0,
                    },
                },
                {
                    Name = "Deathbringer Saurfang",
                    Loot =
                    {
                        52027, 52026, 52025, 0,
                        51896, 51899, 51904, 51897, 51903, 51902, 51901, 51895, 0,
                        51894, 51900, 0,
                        51905, 51898, 0,
                        49908, 0,
                    },
                },
                {
                    Name = "Festergut",
                    Loot =
                    {
                        51883, 51882, 51885, 51889, 51891, 51886, 51892, 0,
                        51888, 51890, 51884, 0,
                        51893, 51887, 0,
                        49908, 0,
                    },
                },
                {
                    Name = "Rotface",
                    Loot =
                    {
                        51872, 51874, 51870, 51877, 51873, 51879, 0,
                        51871, 51878, 0,
                        51876, 51875, 51881, 0,
                        49908, 0,
                    },
                },
                {
                    Name = "Professor Putricide",
                    Loot =
                    {
                        52027, 52026, 52025, 0,
                        51859, 51862, 51866, 51864, 51860, 51865, 51861, 0,
                        51867, 51863, 50344, 0,
                        51868, 51869, 0,
                        49908, 0,
                    },
                },
                {
                    Name = "Blood Prince Council",
                    Loot =
                    {
                        51851, 51850, 51856, 51853, 51847, 51854, 0,
                        51848, 51849, 51855, 0,
                        51858, 51857, 51852, 0,
                        49908, 0,
                    },
                },
                {
                    Name = "Blood-Queen Lana'thel",
                    Loot =
                    {
                        52027, 52026, 52025, 0,
                        51837, 51839, 51841, 51840, 51844, 51835, 51836, 0,
                        51842, 51843, 0,
                        51846, 51845, 51838, 0,
                        49908, 0,
                    },
                },
                {
                    Name = "Valithria Dreamwalker",
                    Loot =
                    {
                        51823, 51825, 51830, 51827, 51829, 51824, 51832, 51831, 0,
                        51826, 0,
                        51833, 51828, 51834, 0,
                        49908, 0,
                    },
                },
                {
                    Name = "Sindragosa",
                    Loot =
                    {
                        52027, 52026, 52025, 0,
                        51813, 51820, 51814, 51811, 51818, 51821, 51817, 51816, 0,
                        51822, 0,
                        51819, 51815, 51812, 0,
                        49908, 0,
                    },
                },
                {
                    Name = "The Lich King",
                    Loot =
                    {
                        52027, 52026, 52025, 0,
                        51941, 51939, 51942, 51947, 51944, 51946, 51943, 51945, 51940, 0,
                        49908, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Trash",
                    Loot =
                    {
                        50449, 50450, 50451, 0,
                        50452, 50447, 50453, 0,
                        50444, 0,
                    },
                },
                { Separator = true },
                {
                    Name = " + Tier 10 Pieces",
                    Loot =
                    {
                        51208, 51205, 51206, 51209, 51207, 0,
                        51178, 51175, 51176, 51179, 51177, 51184, 51182, 51180, 51183, 51181, 0,
                        51187, 51185, 51189, 51188, 51186, 0,
                        51153, 51151, 51150, 51154, 51152, 0,
                        51218, 51215, 51219, 51217, 51216, 51212, 51210, 51214, 51213, 51211, 0,
                        51133, 51130, 51134, 51132, 51131, 51127, 51125, 51129, 51128, 51126, 0,
                        51158, 51155, 51156, 51159, 51157, 0,
                        51137, 51135, 51139, 51138, 51136, 51149, 51147, 51145, 51148, 51146, 51143, 51140, 51141, 51144, 51142, 0,
                        51192, 51194, 51190, 51191, 51193, 51202, 51204, 51200, 51201, 51203, 51197, 51199, 51195, 51196, 51198, 0,
                        51167, 51166, 51165, 51169, 51168, 51173, 51170, 51174, 51172, 51171, 51162, 51160, 51164, 51163, 51161, 0,
                    },
                },
            },
        },
        [3072] = {
            Name = "Icecrown Citadel 25",
            NameShort = "ICC 25",
            Expansion = 2,
            Children =
            {
                {
                    Name = "Lord Marrowgar",
                    Loot =
                    {
                        49978, 49979, 49950, 49952, 49980, 49951, 49960, 49964, 0,
                        49975, 49949, 49977, 49967, 0,
                        49968, 50415, 49976, 0,
                        49908, 0,
                        50274, 0,
                    },
                },
                {
                    Name = "Lady Deathwhisper",
                    Loot =
                    {
                        49991, 49994, 49987, 49996, 49988, 49993, 49986, 49995, 49983, 0,
                        49989, 49985, 49990, 0,
                        49982, 49992, 50034, 0,
                        49908, 0,
                        50274, 0,
                    },
                },
                {
                    Name = "Icecrown Gunship Battle",
                    Loot =
                    {
                        50006, 50011, 50001, 50009, 50000, 50003, 50002, 50010, 0,
                        49998, 50005, 50008, 49999, 50359, 50352, 0,
                        50411, 0,
                        49908, 0,
                        50274, 0,
                    },
                },
                {
                    Name = "Deathbringer Saurfang",
                    Loot =
                    {
                        52027, 52026, 52025, 0,
                        50333, 50015, 0,
                        50014, 50362, 0,
                        50412, 0,
                        49908, 0,
                        50274, 0,
                    },
                },
                {
                    Name = "Festergut",
                    Loot =
                    {
                        50063, 50056, 50062, 50042, 50041, 50059, 50038, 50064, 50413, 50060, 50037, 50036, 0,
                        50061, 50414, 0,
                        50035, 50040, 0,
                        49908, 0,
                        50226, 50274, 0,
                    },
                },
                {
                    Name = "Rotface",
                    Loot =
                    {
                        50032, 50026, 50021, 50022, 50030, 50020, 50024, 50027, 0,
                        50019, 50023, 50025, 50353, 0,
                        50028, 50016, 50033, 0,
                        49908, 0,
                        50231, 50274, 0,
                    },
                },
                {
                    Name = "Professor Putricide",
                    Loot =
                    {
                        52027, 52026, 52025, 0,
                        50067, 50069, 0,
                        50351, 0,
                        50179, 50068, 0,
                        49908, 0,
                        50274, 0,
                    },
                },
                {
                    Name = "Blood Prince Council",
                    Loot =
                    {
                        50172, 50176, 50073, 50171, 50177, 50071, 50072, 50175, 50075, 0,
                        50074, 50174, 50170, 0,
                        50173, 50184, 49919, 0,
                        49908, 0,
                        50274, 0,
                    },
                },
                {
                    Name = "Blood-Queen Lana'thel",
                    Loot =
                    {
                        52027, 52026, 52025, 0,
                        50182, 50180, 50354, 0,
                        50178, 50181, 50065, 0,
                        49908, 0,
                        50274, 0,
                    },
                },
                {
                    Name = "Valithria Dreamwalker",
                    Loot =
                    {
                        50418, 50417, 50202, 50188, 50187, 50199, 50192, 50416, 50190, 0,
                        50205, 50195, 50185, 50186, 0,
                        50183, 50472, 0,
                        49908, 0,
                        50274, 0,
                    },
                },
                {
                    Name = "Sindragosa",
                    Loot =
                    {
                        52027, 52026, 52025, 0,
                        50421, 50424, 50360, 50361, 0,
                        50423, 0,
                        49908, 0,
                        50274, 0,
                    },
                },
                {
                    Name = "The Lich King",
                    Loot =
                    {
                        52027, 52026, 52025, 0,
                        50426, 50427, 50070, 50012, 50428, 49997, 50425, 50429, 49981, 0,
                        49908, 0,
                        50274, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Trash",
                    Loot =
                    {
                        50449, 50450, 50451, 0,
                        50452, 50447, 50453, 0,
                        50444, 0,
                    },
                },
                { Separator = true },
                {
                    Name = " + Tier 10 Pieces",
                    Loot =
                    {
                        51208, 51205, 51206, 51209, 51207, 0,
                        51178, 51175, 51176, 51179, 51177, 51184, 51182, 51180, 51183, 51181, 0,
                        51187, 51185, 51189, 51188, 51186, 0,
                        51153, 51151, 51150, 51154, 51152, 0,
                        51218, 51215, 51219, 51217, 51216, 51212, 51210, 51214, 51213, 51211, 0,
                        51133, 51130, 51134, 51132, 51131, 51127, 51125, 51129, 51128, 51126, 0,
                        51158, 51155, 51156, 51159, 51157, 0,
                        51137, 51135, 51139, 51138, 51136, 51149, 51147, 51145, 51148, 51146, 51143, 51140, 51141, 51144, 51142, 0,
                        51192, 51194, 51190, 51191, 51193, 51202, 51204, 51200, 51201, 51203, 51197, 51199, 51195, 51196, 51198, 0,
                        51167, 51166, 51165, 51169, 51168, 51173, 51170, 51174, 51172, 51171, 51162, 51160, 51164, 51163, 51161, 0,
                    },
                },
            },
        },
        [3073] = {
            Name = "Icecrown Citadel 25 Heroic",
            NameShort = "ICC 25 Heroic",
            Expansion = 2,
            Children =
            {
                {
                    Name = "Lord Marrowgar",
                    Loot =
                    {
                        50613, 50615, 50607, 50605, 50617, 50606, 50611, 50612, 0,
                        50609, 50604, 50614, 50610, 0,
                        50608, 50709, 50616, 0,
                        49908, 0,
                        50274, 0,
                    },
                },
                {
                    Name = "Lady Deathwhisper",
                    Loot =
                    {
                        50643, 50651, 50646, 50649, 50645, 50652, 50640, 50650, 50639, 0,
                        50647, 50642, 50644, 0,
                        50641, 50648, 50638, 0,
                        49908, 0,
                        50274, 0,
                    },
                },
                {
                    Name = "Icecrown Gunship Battle",
                    Loot =
                    {
                        50661, 50663, 50656, 50665, 50655, 50660, 50659, 50667, 0,
                        50653, 50658, 50664, 50657, 50366, 50349, 0,
                        50654, 0,
                        49908, 0,
                        50274, 0,
                    },
                },
                {
                    Name = "Deathbringer Saurfang",
                    Loot =
                    {
                        52030, 52029, 52028, 0,
                        52027, 52026, 52025, 0,
                        50670, 50671, 0,
                        50668, 50363, 0,
                        50672, 0,
                        49908, 0,
                        50274, 0,
                    },
                },
                {
                    Name = "Festergut",
                    Loot =
                    {
                        50702, 50694, 50699, 50697, 50696, 50698, 50689, 50703, 50688, 50701, 50690, 50691, 0,
                        50700, 50693, 0,
                        50692, 50695, 0,
                        49908, 0,
                        50226, 50274, 0,
                    },
                },
                {
                    Name = "Rotface",
                    Loot =
                    {
                        50686, 50679, 50675, 50673, 50687, 50674, 50681, 50680, 0,
                        50677, 50682, 50678, 50348, 0,
                        50685, 50676, 50684, 0,
                        49908, 0,
                        50231, 50274, 0,
                    },
                },
                {
                    Name = "Professor Putricide",
                    Loot =
                    {
                        52030, 52029, 52028, 0,
                        52027, 52026, 52025, 0,
                        50707, 50705, 0,
                        50706, 0,
                        50708, 50704, 0,
                        49908, 0,
                        50274, 0,
                    },
                },
                {
                    Name = "Blood Prince Council",
                    Loot =
                    {
                        50717, 50722, 50713, 50715, 50723, 50711, 50712, 50721, 50716, 0,
                        50718, 50720, 50714, 0,
                        50719, 50710, 50603, 0,
                        49908, 0,
                        50274, 0,
                    },
                },
                {
                    Name = "Blood-Queen Lana'thel",
                    Loot =
                    {
                        52030, 52029, 52028, 0,
                        52027, 52026, 52025, 0,
                        50724, 50728, 50726, 0,
                        50727, 50725, 50729, 0,
                        49908, 0,
                        50274, 0,
                    },
                },
                {
                    Name = "Valithria Dreamwalker",
                    Loot =
                    {
                        50629, 50630, 50626, 50619, 50620, 50623, 50624, 50632, 50625, 0,
                        50628, 50627, 50622, 50618, 0,
                        50621, 50631, 0,
                        49908, 0,
                        50274, 0,
                    },
                },
                {
                    Name = "Sindragosa",
                    Loot =
                    {
                        52030, 52029, 52028, 0,
                        52027, 52026, 52025, 0,
                        50633, 50636, 50365, 50364, 0,
                        50635, 0,
                        49908, 0,
                        50274, 0,
                    },
                },
                {
                    Name = "The Lich King",
                    Loot =
                    {
                        52030, 52029, 52028, 0,
                        52027, 52026, 52025, 0,
                        50736, 50732, 50730, 50737, 50734, 50738, 50735, 50731, 50733, 0,
                        50818, 0,
                        49908, 0,
                        50274, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Trash",
                    Loot =
                    {
                        50449, 50450, 50451, 0,
                        50452, 50447, 50453, 0,
                        50444, 0,
                    },
                },
                { Separator = true },
                {
                    Name = " + Tier 10 Pieces",
                    Loot =
                    {
                        51231, 51234, 51233, 51230, 51232, 0,
                        51261, 51264, 51263, 51260, 51262, 51255, 51257, 51259, 51256, 51258, 0,
                        51252, 51254, 51250, 51251, 51253, 0,
                        51286, 51288, 51289, 51285, 51287, 0,
                        51221, 51224, 51220, 51222, 51223, 51227, 51229, 51225, 51226, 51228, 0,
                        51306, 51309, 51305, 51307, 51308, 51312, 51314, 51310, 51311, 51313, 0,
                        51281, 51284, 51283, 51280, 51282, 0,
                        51302, 51304, 51300, 51301, 51303, 51290, 51292, 51294, 51291, 51293, 51296, 51299, 51298, 51295, 51297, 0,
                        51247, 51245, 51249, 51248, 51246, 51237, 51235, 51239, 51238, 51236, 51242, 51240, 51244, 51243, 51241, 0,
                        51272, 51273, 51274, 51270, 51271, 51266, 51269, 51265, 51267, 51268, 51277, 51279, 51275, 51276, 51278, 0,
                    },
                },
            },
        },
        
        -- The Ruby Sanctum
        [3080] = {
            Name = "The Ruby Sanctum 10",
            NameShort = "RS 10",
            Expansion = 2,
            Children =
            {
                {
                    Name = "Halion",
                    Loot =
                    {
                        53118, 53114, 53117, 53113, 53119, 53112, 53121, 53111, 0,
                        53115, 53103, 53116, 53110, 0,
                    },
                },
            },
        },
        [3081] = {
            Name = "The Ruby Sanctum 10 Heroic",
            NameShort = "RS 10 Heroic",
            Expansion = 2,
            Children =
            {
                {
                    Name = "Halion",
                    Loot =
                    {
                        54562, 54561, 54560, 54566, 54558, 54559, 54565, 54564, 0,
                        54556, 54557, 54563, 54567, 0,
                    },
                },
            },
        },
        [3082] = {
            Name = "The Ruby Sanctum 25",
            NameShort = "RS 25",
            Expansion = 2,
            Children =
            {
                {
                    Name = "Halion",
                    Loot =
                    {
                        53486, 53134, 53126, 53488, 53127, 53125, 53487, 53129, 0,
                        53489, 53132, 53490, 53133, 54572, 54573, 54571, 54569, 0,
                    },
                },
            },
        },
        [3083] = {
            Name = "The Ruby Sanctum 25 Heroic",
            NameShort = "RS 25 Heroic",
            Expansion = 2,
            Children =
            {
                {
                    Name = "Halion",
                    Loot =
                    {
                        54582, 54584, 54580, 54587, 54577, 54578, 54586, 54579, 0,
                        54583, 54581, 54585, 54576, 54588, 54589, 54591, 54590, 0,
                    },
                },
            },
        },
        
        -- Vault of Archavon
        [3090] = {
            Name = "Vault of Archavon 10",
            NameShort = "VoA 10",
            Expansion = 2,
            Children =
            {
                { Name = "Archavon the Stone Watcher", Header = true },
                {
                    Name = " - PvE Sets",
                    Loot =
                    {
                        39497, 39500, 39498, 0,
                        39515, 39519, 39517, 39523, 39530, 39528, 0,
                        39558, 39560, 39564, 0,
                        39579, 39582, 39580, 0,
                        39611, 39622, 39612, 39606, 39609, 39607, 0,
                        39623, 39624, 39626, 39617, 39618, 39620, 0,
                        39492, 39495, 39493, 0,
                        39538, 39543, 39539, 39547, 39544, 39546, 39554, 39557, 39555, 0,
                        39588, 39591, 39589, 39592, 39593, 39595, 39597, 39601, 39603, 0,
                        39638, 39639, 39641, 39629, 39632, 39630, 39633, 39634, 39636, 0,
                    },
                },
                {
                    Name = " - PvP Sets",
                    Loot =
                    {
                        42001, 42015, 42003, 0,
                        41857, 41872, 41862, 41919, 41938, 41925, 0,
                        41648, 41765, 41653, 0,
                        41085, 41141, 41203, 0,
                        40783, 40801, 40840, 0,
                        40781, 40803, 40841, 0,
                        41950, 41969, 41957, 0,
                        41308, 41284, 41296, 41314, 41291, 41302, 41659, 41771, 41665, 0,
                        40988, 40999, 41025, 40989, 41005, 41031, 41079, 41135, 41162, 0,
                        40904, 40925, 40937, 40782, 40802, 40842, 0,
                    },
                },
                { Separator = true },
                { Name = "Emalon the Storm Watcher", Header = true },
                {
                    Name = " - PvE Sets",
                    Loot =
                    {
                        45419, 45420, 0,
                        45387, 45388, 45392, 45394, 0,
                        45397, 45399, 0,
                        45360, 45362, 0,
                        45426, 45427, 0,
                        45430, 45432, 0,
                        45337, 45338, 0,
                        45341, 45343, 0,
                        46131, 45367, 0,
                        45345, 45347, 45351, 45353, 45355, 45357, 0,
                        45401, 45403, 45406, 45409, 45414, 45416, 0,
                        45383, 45384, 45370, 45371, 45376, 45379, 0,
                    },
                },
                {
                    Name = " - PvP Sets",
                    Loot =
                    {
                        42016, 42004, 0,
                        41873, 41863, 41939, 41926, 0,
                        41766, 41654, 0,
                        41142, 41204, 0,
                        40804, 40844, 0,
                        40806, 40845, 0,
                        41970, 41958, 0,
                        41308, 41284, 41314, 41291, 41659, 41771, 0,
                        41000, 41026, 41006, 41032, 41136, 41198, 0,
                        40926, 40938, 40805, 40846, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Koralon the Flame Watcher",
                    Loot =
                    {
                        -- Alliance
                        43959, 0,
                        
                        -- Horde
                        44083, 0,
                        
                        41909, 41898, 41903, 41893, 41881, 41885, 0,
                        41640, 41630, 41635, 41625, 41617, 41621, 41840, 41832, 41836, 0,
                        41065, 41070, 41075, 41060, 41051, 41055, 41225, 41235, 41230, 0,
                        40983, 40976, 40977, 40889, 40881, 40882, 0,
                        42071, 42073, 42069, 42072, 42070, 42074, 42075, 0,
                        42037, 42039, 42036, 42040, 42038, 46373, 42034, 42035, 0,
                        42116, 42117, 0,
                    },
                },
                {
                    Name = " - PvE Sets",
                    Loot =
                    {
                        -- Alliance
                        47783, 47785, 0,
                        47982, 47980, 48072, 48074, 0,
                        48222, 48220, 0,
                        48254, 48252, 0,
                        48449, 48445, 48375, 48373, 0,
                        48537, 48533, 48480, 48476, 0,
                        47752, 47750, 0,
                        48132, 48130, 48162, 48160, 48213, 48215, 0,
                        48284, 48282, 48312, 48314, 48342, 48344, 0,
                        48633, 48635, 48574, 48568, 48603, 48605, 0,
                        
                        -- Horde
                        47802, 47800, 0,
                        48067, 48069, 48097, 48099, 0,
                        48244, 48246, 0,
                        48276, 48278, 0,
                        48457, 48459, 48387, 48389, 0,
                        48559, 48561, 48502, 48504, 0,
                        47773, 47775, 0,
                        48153, 48155, 48183, 48185, 48192, 48190, 0,
                        48296, 48298, 48337, 48339, 48367, 48369, 0,
                        48653, 48655, 48598, 48596, 48630, 48628, 0,
                    },
                },
                {
                    Name = " - PvP Sets",
                    Loot =
                    {
                        42017, 42005, 0,
                        41874, 41864, 41940, 41927, 0,
                        41767, 41655, 0,
                        41143, 41205, 0,
                        40807, 40847, 0,
                        40809, 40848, 0,
                        41971, 41959, 0,
                        41287, 41298, 41293, 41304, 41773, 41667, 0,
                        41001, 41027, 41007, 41033, 41137, 41199, 0,
                        40927, 40939, 40808, 40849, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Toravon the Ice Watcher",
                    Loot =
                    {
                        -- Alliance
                        43959, 0,
                        
                        -- Horde
                        44083, 0,
                        
                        41910, 41899, 41904, 41894, 41882, 41886, 49181, 49179, 49183, 0,
                        41641, 41631, 41636, 41626, 41618, 41622, 41841, 41833, 41837, 0,
                        41066, 41071, 41076, 41061, 41052, 41056, 41226, 41236, 41231, 0,
                        40984, 40978, 40979, 40890, 40883, 40884, 0,
                        42078, 42080, 42076, 42079, 42077, 42081, 42082, 0,
                        42044, 42046, 42043, 42047, 42045, 46374, 42041, 42042, 0,
                        42118, 42119, 0,
                    },
                },
                {
                    Name = " - PvE Sets",
                    Loot =
                    {
                        50240, 50242, 0,
                        50766, 50769, 50391, 50393, 0,
                        50088, 50090, 0,
                        50114, 50116, 0,
                        50849, 50847, 50079, 50081, 0,
                        50856, 50854, 50095, 50097, 0,
                        50275, 50277, 0,
                        50107, 50109, 50822, 50820, 50827, 50825, 0,
                        50836, 50838, 50842, 50844, 50831, 50833, 0,
                        50863, 50861, 50868, 50866, 50327, 50325, 0,
                    },
                },
                {
                    Name = " - PvP Sets",
                    Loot =
                    {
                        42018, 42006, 0,
                        41875, 41865, 41941, 41928, 0,
                        41768, 41656, 41144, 41206, 0,
                        40810, 40850, 0,
                        40811, 40851, 0,
                        41972, 41960, 0,
                        41288, 41299, 41294, 41305, 41774, 41668, 0,
                        41002, 41028, 41008, 41034, 41138, 41200, 0,
                        40928, 40940, 40812, 40852, 0,
                    },
                },
            },
        },
        [3091] = {
            Name = "Vault of Archavon 25",
            NameShort = "VoA 25",
            Expansion = 2,
            Children =
            {
                { Name = "Archavon the Stone Watcher", Header = true },
                {
                    Name = " - PvE Sets",
                    Loot =
                    {
                        40423, 40420, 40422, 0,
                        40449, 40445, 40448, 40458, 40454, 40457, 0,
                        40495, 40496, 40500, 0,
                        40503, 40504, 40506, 0,
                        40544, 40545, 40547, 40525, 40527, 40529, 0,
                        40559, 40563, 40567, 40550, 40552, 40556, 0,
                        40418, 40415, 40417, 0,
                        40463, 40460, 40462, 40469, 40466, 40468, 40471, 40472, 40493, 0,
                        40508, 40509, 40512, 40514, 40515, 40517, 40523, 40520, 40522, 0,
                        40579, 40580, 40583, 40569, 40570, 40572, 40574, 40575, 40577, 0,
                    },
                },
                {
                    Name = " - PvP Sets",
                    Loot =
                    {
                        41997, 42016, 42004, 0,
                        41858, 41873, 41863, 41920, 41939, 41926, 0,
                        41649, 41766, 41654, 0,
                        41086, 41142, 41204, 0,
                        40786, 40804, 40844, 0,
                        40784, 40806, 40845, 0,
                        41951, 41970, 41958, 0,
                        41309, 41286, 41297, 41315, 41292, 41303, 41660, 41772, 41666, 0,
                        40990, 41000, 41026, 40991, 41006, 41032, 41080, 41136, 41198, 0,
                        40905, 40926, 40938, 40785, 40805, 40846, 0,
                    },
                },
                { Separator = true },
                { Name = "Emalon the Storm Watcher", Header = true },
                {
                    Name = " - PvE Sets",
                    Loot =
                    {
                        46135, 46139, 0,
                        46188, 46195, 46163, 46170, 0,
                        46124, 46126, 0,
                        46142, 46144, 0,
                        46164, 46169, 46148, 46150, 0,
                        40809, 40848, 46113, 46116, 0,
                        46132, 46133, 0,
                        46183, 46185, 46189, 46192, 46158, 46160, 0,
                        46199, 46202, 46207, 46210, 46200, 46208, 0,
                        46174, 46176, 46179, 46181, 46155, 46153, 0,
                    },
                },
                {
                    Name = " - PvP Sets",
                    Loot =
                    {
                        42017, 42005, 0,
                        41874, 41864, 41940, 41927, 0,
                        41767, 41655, 0,
                        41143, 41205, 0,
                        40807, 40847, 0,
                        46119, 46121, 0,
                        41971, 41959, 0,
                        41287, 41298, 41293, 41304, 41773, 41667, 0,
                        41001, 41027, 41007, 41033, 41137, 41199, 0,
                        40927, 40939, 40808, 40849, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Koralon the Flame Watcher",
                    Loot =
                    {
                        -- Alliance
                        43959, 0,
                        -- Horde
                        44083, 0,
                        
                        41910, 41899, 41904, 41894, 41882, 41886, 49181, 49179, 49183, 0,
                        41641, 41631, 41636, 41626, 41618, 41622, 41841, 41833, 41837, 0,
                        41066, 41071, 41076, 41061, 41052, 41056, 41226, 41236, 41231, 0,
                        40984, 40978, 40979, 40890, 40883, 40884, 0,
                        42078, 42080, 42076, 42079, 42077, 42081, 42082, 0,
                        42044, 42046, 42043, 42047, 42045, 46374, 42041, 42042, 0,
                        42118, 42119, 0,
                    },
                },
                {
                    Name = " - PvE Sets",
                    Loot =
                    {
                        -- Alliance
                        47782, 47780, 0,
                        47983, 47985, 48077, 48079, 0,
                        48224, 48226, 0,
                        48256, 48258, 0,
                        48452, 48446, 48377, 48379, 0,
                        48539, 48541, 48482, 48484, 0,
                        47753, 47755, 0,
                        48133, 48135, 48163, 48165, 48212, 48210, 0,
                        48286, 48288, 48317, 48319, 48347, 48349, 0,
                        48640, 48638, 48576, 48578, 48608, 48610, 0,
                        
                        -- Horde
                        47803, 47805, 0,
                        48066, 48064, 48096, 48094, 0,
                        48241, 48239, 0,
                        48273, 48271, 0,
                        48462, 48464, 48392, 48394, 0,
                        48556, 48554, 48499, 48497, 0,
                        47772, 47770, 0,
                        48152, 48150, 48182, 48180, 48193, 48195, 0,
                        48301, 48303, 48334, 48332, 48364, 48362, 0,
                        48658, 48660, 48593, 48591, 48625, 48623, 0,
                    },
                },
                {
                    Name = " - PvP Sets",
                    Loot =
                    {
                        42018, 42006, 0,
                        41875, 41865, 41941, 41928, 0,
                        41768, 41656, 0,
                        41144, 41206, 0,
                        40810, 40850, 0,
                        40811, 40851, 0,
                        41972, 41960, 0,
                        41288, 41299, 41294, 41305, 41774, 41668, 0,
                        41002, 41028, 41008, 41034, 41138, 41200, 0,
                        40928, 40940, 40812, 40852, 0,
                    },
                },
                { Separator = true },
                {
                    Name = "Toravon the Ice Watcher",
                    Loot =
                    {
                        -- Alliance
                        43959, 0,
                        -- Horde
                        44083, 0,
                        
                        51329, 51327, 51328, 51367, 51365, 51366, 51339, 51337, 51338, 0,
                        51345, 51343, 51344, 51342, 51340, 51341, 51370, 51368, 51369, 0,
                        51376, 51374, 51375, 51373, 51371, 51372, 51352, 51350, 51351, 0,
                        51361, 51359, 51360, 51364, 51362, 51363, 0,
                        51334, 51348, 51330, 51346, 51332, 51354, 51356, 0,
                        51335, 51349, 51331, 51347, 51333, 51353, 51355, 51357, 0,
                        51336, 51358, 0,
                    },
                },
                {
                    Name = " - PvE Sets",
                    Loot =
                    {
                        51209, 51207, 0,
                        51179, 51177, 51183, 51181, 0,
                        51188, 51186, 0,
                        51154, 51152, 0,
                        51217, 51216, 51213, 51211, 0,
                        51132, 51131, 51128, 51126, 0,
                        51159, 51157, 0,
                        51138, 51136, 51148, 51146, 51144, 51142, 0,
                        51191, 51193, 51201, 51203, 51196, 51198, 0,
                        51172, 51171, 51169, 51168, 51163, 51161, 0,
                    },
                },
                {
                    Name = " - PvP Sets",
                    Loot =
                    {
                        51537, 51539, 0,
                        51483, 51485, 51488, 51490, 0,
                        51493, 51495, 0,
                        51459, 51461, 0,
                        51542, 51544, 0,
                        51414, 51416, 0,
                        51464, 51466, 0,
                        51420, 51422, 51434, 51436, 51426, 51428, 0,
                        51498, 51500, 51510, 51512, 51504, 51506, 0,
                        51469, 51471, 51475, 51477, 0,
                    },
                },
            },
        },
    },
    ItemConditions = { },
    
    RecentLootBlacklist = {
        [29434] = true, -- Badge of Justice (when it was an item in TBC)
    },
    
    -- Items which start a quest that can only be completed one time
    QuestStarters = {
        -- Ancient Petrified Leaf
        [18703] = 7632,
        
        -- Head of Onyxia
        [18422] = 7495,
        [18423] = 7490,

        -- Head of Nefarian
        [19002] = 7781,
        [19003] = 7783,
        
        -- Heart of Hakkar
        [19802] = 8183,
        
        -- Head of Ossirian the Unscarred
        [21220] = 8791,
        
        -- Eye of C'Thun
        [21221] = 8801,
        
        -- The Phylactery of Kel'Thuzad
        [22520] = 9120,
            
        -- Magtheridon's Head
        [32385] = 11002,
        [32386] = 11003,
        
        -- Verdant Sphere
        [32405] = 11007,
        
        -- Blood of Zul'jin
        [33102] = 11178,
    },
    
    -- Items that require an active quest to loot and duplicates are not useful
    QuestDrops = {
        -- Narain's Scrying Goggles
        [20951] = 8578,
        
        -- Draconic for Dummies
        [21110] = 8620,
        
        -- Head of the Broodlord Lashlayer
        [20383] = 8288,
        
        -- Red Scepter Shard
        [21138] = 8730,
    },
    TokenMap = {
        Tokens  = { },
        Rewards = { },
    },
};


local function HideItem(itemID)
    if LootReserve.Data.ItemConditions[itemID] then
        LootReserve.Data.ItemConditions[itemID] = LootReserve:Deepcopy(LootReserve.Data.ItemConditions[itemID]);
        LootReserve.Data.ItemConditions[itemID]["Hidden"] = true;
    else
        LootReserve.Data.ItemConditions[itemID] = hidden;
    end
end

local function ApplyClassRestriction(itemID, classMask)
    if LootReserve.Data.ItemConditions[itemID] then
        LootReserve.Data.ItemConditions[itemID] = LootReserve:Deepcopy(LootReserve.Data.ItemConditions[itemID]);
        LootReserve.Data.ItemConditions[itemID]["ClassMask"] = classMask;
    else
        LootReserve.Data.ItemConditions[itemID] = { ClassMask = classMask };
    end
end

-- Faction restrictions on equipment should only apply in classic
local function ApplyFactionRestriction(itemID, faction)
    if LootReserve.Data.ItemConditions[itemID] then
        LootReserve.Data.ItemConditions[itemID] = LootReserve:Deepcopy(LootReserve.Data.ItemConditions[itemID]);
        LootReserve.Data.ItemConditions[itemID]["Faction"] = faction;
    else
        LootReserve.Data.ItemConditions[itemID] = faction == "Alliance" and factionAlliance or factionHorde;
    end
end


-- Hidden Items
do
    -- Molten Core trash
    HideItem(11382);
    HideItem(17010);
    HideItem(17011);
    HideItem(17012);
    HideItem(20951);
    
    -- Thunderfury items
    HideItem(18563);
    HideItem(18564);
    HideItem(18562);
    
    -- Hand of Rag items
    HideItem(17204);
    HideItem(17203);
    
    -- Scale of Onyxia
    HideItem(15410);
    
    -- Red Scepter Shard
    HideItem(21138);
    
    -- ZG Coins
    HideItem(19698);
    HideItem(19699);
    HideItem(19700);
    HideItem(19701);
    HideItem(19702);
    HideItem(19703);
    HideItem(19704);
    HideItem(19705);
    HideItem(19706);
    
    -- ZG Bijous
    HideItem(19707);
    HideItem(19708);
    HideItem(19709);
    HideItem(19710);
    HideItem(19711);
    HideItem(19712);
    HideItem(19713);
    HideItem(19714);
    HideItem(19715);
    
    --AQ20 idols
    HideItem(20866);
    HideItem(20867);
    HideItem(20868);
    HideItem(20869);
    HideItem(20870);
    HideItem(20871);
    HideItem(20872);
    HideItem(20873);
    
    -- AQ40 idols
    HideItem(20874);
    HideItem(20875);
    HideItem(20876);
    HideItem(20877);
    HideItem(20878);
    HideItem(20879);
    HideItem(20881);
    HideItem(20882);
    
    -- AQ scarabs
    HideItem(20858);
    HideItem(20859);
    HideItem(20860);
    HideItem(20861);
    HideItem(20862);
    HideItem(20863);
    HideItem(20864);
    HideItem(20865);
    
    -- AQ scarab coffer items
    HideItem(21156);
    HideItem(21761);
    HideItem(21762);
    
    -- AQ trash
    HideItem(22202);
    HideItem(22203);
    
    -- Naxxramas scraps
    HideItem(22376);
    HideItem(22373);
    HideItem(22374);
    HideItem(22375);
    
    -- Naxxramas runes
    HideItem(23055);
    HideItem(22682);
    
    -- Atiesh splinters
    HideItem(22726);
    
    
    
    -- Karazhan trash
    HideItem(23857);
    HideItem(23864);
    HideItem(23862);
    HideItem(23865);
    HideItem(21882);
    
    -- Magtheridon's gem bag
    -- HideItem(34846);
    
    -- Ashes of A'lar
    HideItem(32458);
    
    -- Trade items
    HideItem(32897);
    HideItem(32428);
    HideItem(34664);
    
    -- Warglaives of Azzinoth
    HideItem(32837);
    HideItem(32838);
    
    -- Trash gems
    HideItem(32228);
    HideItem(32231);
    HideItem(32229);
    HideItem(32249);
    HideItem(32230);
    HideItem(32227);
    
    -- Zul'Aman trash
    HideItem(33865);
    HideItem(33930);
    HideItem(33932);
    HideItem(33931);
    HideItem(33933);
    HideItem(33993);
    
    -- Thoridal
    HideItem(34334);
    
    
    
    -- Fragment of Val'anyr
    HideItem(45038);
    
    -- Crusader Orb
    HideItem(47556);
    
    -- Ashen Sack of Gems
    HideItem(49294);
    
    -- Primordial Saronite
    HideItem(49908);
    
    -- Shadowfrost Shard
    HideItem(50274);
    
end


-- Class Restricted Items

-- Atiesh splinters should have a class mask since they cannot be traded
ApplyClassRestriction(22726, 1424);

-- Hand of Rag items
ApplyClassRestriction(17204, 1091);
ApplyClassRestriction(17203, 1091);

-- Shadowfrost Shards should have a class mask since they cannot be traded
ApplyClassRestriction(50274, 35);



-- Faction Restricted Items

-- Head of Onyxia
ApplyFactionRestriction(18422, "Horde");
ApplyFactionRestriction(18423, "Alliance");

-- Head of Nefarian
ApplyFactionRestriction(19002, "Horde");
ApplyFactionRestriction(19003, "Alliance");

-- Magtheridon's Head
ApplyFactionRestriction(32385, "Alliance");
ApplyFactionRestriction(32386, "Horde");

-- Classic only restrictions
if LootReserve:GetCurrentExpansion() == 0 then
    -- T1
    ApplyFactionRestriction(16837, "Horde");
    ApplyFactionRestriction(16838, "Horde");
    ApplyFactionRestriction(16839, "Horde");
    ApplyFactionRestriction(16840, "Horde");
    ApplyFactionRestriction(16841, "Horde");
    ApplyFactionRestriction(16842, "Horde");
    ApplyFactionRestriction(16843, "Horde");
    ApplyFactionRestriction(16844, "Horde");
    ApplyFactionRestriction(16853, "Alliance");
    ApplyFactionRestriction(16854, "Alliance");
    ApplyFactionRestriction(16855, "Alliance");
    ApplyFactionRestriction(16856, "Alliance");
    ApplyFactionRestriction(16857, "Alliance");
    ApplyFactionRestriction(16858, "Alliance");
    ApplyFactionRestriction(16859, "Alliance");
    ApplyFactionRestriction(16860, "Alliance");
        
    -- T2
    ApplyFactionRestriction(16943, "Horde");
    ApplyFactionRestriction(16944, "Horde");
    ApplyFactionRestriction(16945, "Horde");
    ApplyFactionRestriction(16946, "Horde");
    ApplyFactionRestriction(16947, "Horde");
    ApplyFactionRestriction(16948, "Horde");
    ApplyFactionRestriction(16949, "Horde");
    ApplyFactionRestriction(16950, "Horde");
    ApplyFactionRestriction(16951, "Alliance");
    ApplyFactionRestriction(16952, "Alliance");
    ApplyFactionRestriction(16953, "Alliance");
    ApplyFactionRestriction(16954, "Alliance");
    ApplyFactionRestriction(16955, "Alliance");
    ApplyFactionRestriction(16956, "Alliance");
    ApplyFactionRestriction(16957, "Alliance");
    ApplyFactionRestriction(16958, "Alliance");
        
    -- BWL trinkets
    ApplyFactionRestriction(19343, "Alliance");
    ApplyFactionRestriction(19344, "Horde");
        
    -- ZG gloves
    ApplyFactionRestriction(20264, "Alliance");
    ApplyFactionRestriction(20257, "Horde");
        
    -- AQ20 books
    ApplyFactionRestriction(21288, "Alliance");
    ApplyFactionRestriction(21289, "Alliance");
    ApplyFactionRestriction(21290, "Alliance");
    ApplyFactionRestriction(21291, "Horde");
    ApplyFactionRestriction(21292, "Horde");
    ApplyFactionRestriction(21293, "Horde");
        
    -- AQ20 equipment
    ApplyFactionRestriction(21453, "Alliance");
    ApplyFactionRestriction(21454, "Horde");
    ApplyFactionRestriction(21486, "Alliance");
    ApplyFactionRestriction(21487, "Horde");
    ApplyFactionRestriction(21803, "Alliance");
    ApplyFactionRestriction(21804, "Horde");
    
    -- AQ40 boots
    ApplyFactionRestriction(21704, "Alliance");
    ApplyFactionRestriction(21705, "Horde");
    
    -- AQ40 trash paladin gloves
    ApplyFactionRestriction(21889, "Alliance");
        
    -- Naxx rings
    ApplyFactionRestriction(23065, "Horde");
    ApplyFactionRestriction(23066, "Alliance");
        
    -- Naxx trash drops
    ApplyFactionRestriction(23664, "Horde");
    ApplyFactionRestriction(23665, "Horde");
    ApplyFactionRestriction(23666, "Alliance");
    ApplyFactionRestriction(23667, "Alliance");
    ApplyFactionRestriction(23668, "Alliance");
end


local tokenMap = {
    -- MC
    
    -- Eye of Sulfuras
    [17204] = {17182},
    -- The Eye of Divinity
    [18646] = {18608, 18609},
    -- Ancient Petrified Leaf
    [18703] = {18714, 18713, 18715},
    
    
    -- Ony
    
    -- Can't add mature black dragon sinew because it's a token reward in MC
    -- Can't add Head of Onyxia since there are Alliance and Horde versions
    -- Head of Onyxia
    -- [18423] = {18404, 18403, 18406},
    -- [18422] = {18404, 18403, 18406},
    
    
    -- Ony/BWL
    
    -- Sack of Gems
    [11938] = {17962, 17963, 17964, 17965, 17969},
    
    
    -- BWL
    
    -- Can't add Head of Nefarian since there are Alliance and Horde versions
    -- Head of Nefarian
    -- [19003] = {19383, 19384, 19366},
    -- [19002] = {19383, 19384, 19366},
    
    
    -- ZG
    
    -- Heart of Hakkar
    [19802] = {19950, 19949, 19948},
    -- Primal Hakkari Idol
    [22637] = {19789, 19787, 19788, 19784, 19790, 19785, 19786, 19783, 19782},
    -- Primal Hakkari Shawl
    [19721] = {19826, 19832, 19845},
    -- Primal Hakkari Aegis
    [19724] = {19831, 19834, 19841},
    -- Primal Hakkari Kossack
    [19723] = {19822, 20034, 20033},
    -- Primal Hakkari Tabard
    [19722] = {19825, 19828, 19838},
    -- Primal Hakkari Armsplint
    [19717] = {19824, 19836, 19830},
    -- Primal Hakkari Bindings
    [19716] = {19827, 19833, 19846},
    -- Primal Hakkari Stanchion
    [19718] = {19843, 19848, 19840},
    -- Primal Hakkari Girdle
    [19719] = {19823, 19835, 19829},
    -- Primal Hakkari Sash
    [19720] = {19842, 19849, 19839},
    
    
    -- AQ20
    
    -- Head of Ossirian the Unscarred
    [21220] = {21504, 21507, 21505, 21506},
    -- Qiraji Martial Drape
    [20885] = {21394, 21406, 21412, 21415},
    -- Qiraji Regal Drape
    [20889] = {21397, 21403, 21400, 21418, 21409},
    -- Qiraji Ceremonial Ring
    [20888] = {21402, 21405, 21411, 21417},
    -- Qiraji Magisterial Ring
    [20884] = {21393, 21396, 21399, 21414, 21408},
    -- Qiraji Ornate Hilt
    [20890] = {21410, 21413, 21416, 21407},
    -- Qiraji Spiked Hilt
    [20886] = {21392, 21395, 21401, 21404, 21398},
    
    
    -- AQ40
    
    -- Eye of C'Thun
    [21221] = {21712, 21710, 21709},
    -- Carapace of the Old God
    [20929] = {21331, 21389, 21370, 21364, 21374},
    -- Husk of the Old God
    [20933] = {21351, 21343, 21334, 21357},
    -- Ouro's Intact Hide
    [20927] = {21332, 21362, 21352, 21346},
    -- Skin of the Great Sandworm
    [20931] = {21390, 21368, 21375, 21336, 21356},
    -- Vek'lor's Diadem
    [20930] = {21387, 21366, 21360, 21372, 21353},
    -- Vek'nilash's Circlet
    [20926] = {21329, 21348, 21347, 21337},
    -- Imperial Qiraji Armaments
    [21232] = {21242, 21244, 21272, 21269},
    -- Imperial Qiraji Regalia
    [21237] = {21268, 21273, 21275},
    -- Qiraji Bindings of Command
    [20928] = {21330, 21333, 21367, 21365, 21361, 21359, 21350, 21349},
    -- Qiraji Bindings of Dominance
    [20932] = {21391, 21388, 21376, 21373, 21345, 21344, 21335, 21338, 21354, 21355},
    
    
    -- Naxx 40
    
    -- The Phylactery of Kel'Thuzad
    [22520] = {23207, 23206},
    -- Desecrated Bindings
    [22369] = {22519, 22503, 22511},
    -- Desecrated Wristguards
    [22362] = {22424, 22443, 22471, 22495},
    -- Desecrated Bracers
    [22355] = {22423, 22483},
    -- Desecrated Gloves
    [22371] = {22517, 22501, 22509},
    -- Desecrated Handguards
    [22364] = {22426, 22441, 22469, 22493},
    -- Desecrated Gauntlets
    [22357] = {22421, 22481},
    -- Desecrated Belt
    [22370] = {22518, 22502, 22510},
    -- Desecrated Girdle
    [22363] = {22431, 22442, 22470, 22494},
    -- Desecrated Waistguard
    [22356] = {22422, 22482},
    -- Desecrated Leggings
    [22366] = {22513, 22497, 22505},
    -- Desecrated Legguards
    [22359] = {22427, 22437, 22465, 22489},
    -- Desecrated Legplates
    [22352] = {22417, 22477},
    -- Desecrated Sandals
    [22372] = {22516, 22500, 22508},
    -- Desecrated Boots
    [22365] = {22430, 22440, 22468, 22492},
    -- Desecrated Sabatons
    [22358] = {22420, 22480},
    -- Desecrated Robe
    [22351] = {22512, 22496, 22504},
    -- Desecrated Tunic
    [22350] = {22425, 22436, 22464, 22488},
    -- Desecrated Breastplate
    [22349] = {22416, 22476},
    -- Desecrated Shoulderpads
    [22368] = {22515, 22499, 22507},
    -- Desecrated Spaulders
    [22361] = {22429, 22439, 22467, 22491},
    -- Desecrated Pauldrons
    [22354] = {22419, 22479},
    -- Desecrated Circlet
    [22367] = {22514, 22498, 22506},
    -- Desecrated Headpiece
    [22360] = {22428, 22438, 22466, 22490},
    -- Desecrated Helmet
    [22353] = {22418, 22478},
    
    
    
    -- Kara
    
    -- Gloves of the Fallen Champion
    [29757] = {29065, 29067, 29072, 29048, 29032, 29034, 29039, --[[PVP]] 31614, 27703, 27880, 25834, 27470, 31397, 26000},
    -- Gloves of the Fallen Defender
    [29758] = {29017, 29020, 29055, 29057, 29090, 29092, 29097, --[[PVP]] 24549, 31409, 27707, 31375, 28136, 28126},
    -- Gloves of the Fallen Hero
    [29756] = {29085, 29080, 28968, --[[PVP]] 28335, 25857, 24556, 30188},
    -- Helm of the Fallen Champion
    [29760] = {29061, 29068, 29073, 29044, 29028, 29035, 29040, --[[PVP]] 31616, 27704, 27881, 25830, 27471, 31400, 25998},
    -- Helm of the Fallen Defender
    [29761] = {29011, 29021, 29049, 29058, 29086, 29093, 29098, --[[PVP]] 24545, 31410, 27708, 31376, 28137, 28127},
    -- Helm of the Fallen Hero
    [29759] = {29081, 29076, 28963, --[[PVP]] 28331, 25855, 24553, 30187},
    
    
    -- Gruul
    
    -- Pauldrons of the Fallen Champion
    [29763] = {29064, 29070, 29075, 29047, 29037, 29031, 29043, --[[PVP]] 31619, 27706, 27883, 25832, 27473, 31407, 25999},
    -- Pauldrons of the Fallen Defender
    [29764] = {29016, 29023, 29054, 29060, 29100, 29095, 29089, --[[PVP]] 24546, 31412, 27710, 31378, 28139, 28129},
    -- Pauldrons of the Fallen Hero
    [29762] = {29084, 29079, 28967, --[[PVP]] 28333, 25854, 24554, 30186},
    -- Leggings of the Fallen Champion
    [29766] = {29074, 29063, 29069, 29046, 29030, 29036, 29042, --[[PVP]] 31618, 27705, 27882, 25833, 27472, 31406, 26001},
    -- Leggings of the Fallen Defender
    [29767] = {29022, 29015, 29059, 29053, 29094, 29099, 29088, --[[PVP]] 24547, 31411, 27709, 31377, 28138, 28128},
    -- Leggings of the Fallen Hero
    [29765] = {29083, 29078, 28966, --[[PVP]] 28332, 25858, 24555, 30201},
    
    
    -- Mag
    
    -- Can't add Magtheridon's Head since there are Alliance and Horde versions
    -- [32385] = {28791, 28790, 28793, 28792},
    -- [32386] = {28791, 28790, 28793, 28792},
    
    -- Chestguard of the Fallen Champion
    [29754] = {29071, 29066, 29062, 29045, 29038, 29033, 29029, --[[PVP]] 31613, 27702, 27879, 25831, 27469, 31396, 25997},
    -- Chestguard of the Fallen Defender
    [29753] = {29012, 29019, 29050, 29056, 29087, 29091, 29096, --[[PVP]] 24544, 31413, 27711, 31379, 28140, 28130},
    -- Chestguard of the Fallen Hero
    [29755] = {29082, 29077, 28964, --[[PVP]] 28334, 25856, 24552, 30200},
    
    
    -- SSC
    
    -- Gloves of the Vanquished Champion
    [30239] = {30130, 30135, 30124, 30145, 30189, 30165, 30170, --[[PVP]] 32021, 31993, 32040, 31998, 32010, 32030, 32005},
    -- Gloves of the Vanquished Defender
    [30240] = {30114, 30119, 30160, 30151, 30223, 30217, 30232, --[[PVP]] 30487, 32015, 32034, 31987, 32056, 31967},
    -- Gloves of the Vanquished Hero
    [30241] = {30140, 30205, 30211, --[[PVP]] 31961, 32049, 31973, 31981},
    -- Leggings of the Vanquished Champion
    [30245] = {30132, 30137, 30126, 30148, 30172, 30167, 30192, --[[PVP]] 32023, 31995, 32042, 32000, 32012, 32032, 32007},
    -- Leggings of the Vanquished Defender
    [30246] = {30121, 30116, 30153, 30162, 30229, 30220, 30234, --[[PVP]] 30489, 32017, 32036, 31989, 32058, 31969},
    -- Leggings of the Vanquished Hero
    [30247] = {30142, 30207, 30213, --[[PVP]] 31963, 32051, 31975, 31983},
    -- Helm of the Vanquished Champion
    [30242] = {30125, 30136, 30131, 30146, 30166, 30171, 30190, --[[PVP]] 32022, 31997, 32041, 31999, 32011, 32031, 32006},
    -- Helm of the Vanquished Defender
    [30243] = {30120, 30115, 30161, 30152, 30228, 30219, 30233, --[[PVP]] 30488, 32016, 32035, 31988, 32057, 31968},
    -- Helm of the Vanquished Hero
    [30244] = {30141, 30206, 30212, --[[PVP]] 31962, 32048, 31974, 31980},
    
    
    -- TK
    
    -- Verdant Sphere
    [32405] = {30018, 30017, 30007, 30015},
    -- Pauldrons of the Vanquished Champion
    [30248] = {30127, 30133, 30138, 30149, 30168, 30173, 30194, --[[PVP]] 32024, 31996, 32043, 32001, 32013, 32033, 32008},
    -- Pauldrons of the Vanquished Defender
    [30249] = {30117, 30122, 30154, 30163, 30221, 30230, 30235, --[[PVP]] 30490, 32018, 32037, 31990, 32059, 31971},
    -- Pauldrons of the Vanquished Hero
    [30250] = {30143, 30210, 30215, --[[PVP]] 31964, 32047, 31976, 31979},
    -- Chestguard of the Vanquished Champion
    [30236] = {30123, 30129, 30134, 30144, 30164, 30169, 30185, --[[PVP]] 32020, 31992, 32039, 32002, 32009, 32029, 32004},
    -- Chestguard of the Vanquished Defender
    [30237] = {30113, 30118, 30150, 30159, 30216, 30222, 30231, --[[PVP]] 30486, 32019, 32038, 31991, 32060, 31972},
    -- Chestguard of the Vanquished Hero
    [30238] = {30139, 30196, 30214, --[[PVP]] 31960, 32050, 31977, 31982},
    
    
    -- Hyjal
    
    -- Gloves of the Forgotten Conqueror
    [31092] = {30982, 30983, 30985, 31060, 31061, 31050, --[[PVP]] 33723, 33696, 33750, 33717, 33744, 33676, 33684},
    -- Gloves of the Forgotten Protector
    [31094] = {30969, 30970, 31001, 31007, 31008, 31011, --[[PVP]] 33729, 33665, 33712, 33739, 33707},
    -- Gloves of the Forgotten Vanquisher
    [31093] = {31026, 31055, 31032, 31034, 31035, --[[PVP]] 33700, 33759, 33690, 33767, 33671},
    -- Helm of the Forgotten Conqueror
    [31097] = {30987, 30988, 30989, 31063, 31064, 31051, --[[PVP]] 33724, 33697, 33751, 33718, 33745, 33677, 33683},
    -- Helm of the Forgotten Protector
    [31095] = {30972, 30974, 31003, 31012, 31014, 31015, --[[PVP]] 33730, 33666, 33713, 33740, 33708},
    -- Helm of the Forgotten Vanquisher
    [31096] = {31027, 31056, 31037, 31040, 31039, --[[PVP]] 33701, 33758, 33691, 33768, 33672},
    
    
    -- BT
    
    -- Pauldrons of the Forgotten Conqueror
    [31101] = {30996, 30997, 30998, 31069, 31070, 31054, --[[PVP]] 33726, 33699, 33753, 33720, 33747, 33679, 33682},
    -- Pauldrons of the Forgotten Protector
    [31103] = {30979, 30980, 31006, 31022, 31023, 31024, --[[PVP]] 33732, 33668, 33715, 33742, 33710},
    -- Pauldrons of the Forgotten Vanquisher
    [31102] = {31030, 31059, 31047, 31048, 31049, --[[PVP]] 33703, 33757, 33693, 33770, 33674},
    -- Leggings of the Forgotten Conqueror
    [31098] = {30993, 30994, 30995, 31067, 31068, 31053, --[[PVP]] 33725, 33698, 33752, 33719, 33746, 33678, 33686},
    -- Leggings of the Forgotten Protector
    [31100] = {30977, 30978, 31005, 31019, 31020, 31021, --[[PVP]] 33731, 33667, 33714, 33741, 33709},
    -- Leggings of the Forgotten Vanquisher
    [31099] = {31029, 31058, 31044, 31045, 31046, --[[PVP]] 33702, 33761, 33692, 33769, 33673},
    -- Chestguard of the Forgotten Conqueror
    [31089] = {30990, 30991, 30992, 31065, 31066, 31052, --[[PVP]] 33722, 33695, 33749, 33721, 33748, 33680, 33685},
    -- Chestguard of the Forgotten Protector
    [31091] = {30975, 30976, 31004, 31016, 31017, 31018, --[[PVP]] 33664, 33711, 33738, 33706},
    -- Chestguard of the Forgotten Vanquisher
    [31090] = {31028, 31057, 31041, 31042, 31043, --[[PVP]] 33704, 33760, 33694, 33771, 33675},
    
    
    -- SWP
    
    -- Bracers of the Forgotten Conqueror
    [34848] = {34431, 34432, 34433, 34434, 34435, 34436},
    -- Bracers of the Forgotten Protector
    [34851] = {34441, 34442, 34443, 34437, 34438, 34439},
    -- Bracers of the Forgotten Vanquisher
    [34852] = {34448, 34447, 34444, 34445, 34446},
    -- Belt of the Forgotten Conqueror
    [34853] = {34485, 34487, 34488, 34527, 34528, 34541},
    -- Belt of the Forgotten Protector
    [34854] = {34546, 34547, 34549, 34542, 34543, 34545},
    -- Belt of the Forgotten Vanquisher
    [34855] = {34558, 34557, 34554, 34555, 34556},
    -- Boots of the Forgotten Conqueror
    [34856] = {34559, 34560, 34561, 34562, 34563, 34564},
    -- Boots of the Forgotten Protector
    [34857] = {34568, 34569, 34570, 34565, 34566, 34567},
    -- Boots of the Forgotten Vanquisher
    [34858] = {34575, 34574, 34571, 34572, 34573},
    
    -- Cloth Sunmote Exchanges
    [34339] = {34405}, -- Helm of Arcane Purity
    [34202] = {34393}, -- Shoulderpads of Knowledge's Pursuit
    [34233] = {34399}, -- Robes of Ghostly Hatred
    [34342] = {34406}, -- Gloves of Tyri's Power
    [34170] = {34386}, -- Pantaloons of Growing Strife
    
    -- Leather Sunmote Exchanges
    [34245] = {34403}, -- Cover of Ursoc the Mighty
    [34209] = {34391}, -- Spaulders of Devastation
    [34212] = {34398}, -- Utopian Tunic of Elune
    [34351] = {34407}, -- Tranquil Moonlight Wraps
    [34169] = {34384}, -- Breeches of Natural Splendor
    [34244] = {34404}, -- Mask of the Fury Hunter
    [34211] = {34397}, -- Bladed Chaos Tunic
    [34195] = {34392}, -- Demontooth Shoulderpads
    [34234] = {34408}, -- Gloves of the Forest Drifter
    [34188] = {34385}, -- Leggings of the Immortal Beast
    
    -- Mail Sunmote Exchanges
    [34332] = {34402}, -- Shroud of Chieftain Ner'zhul
    [34229] = {34396}, -- Garments of Crashing Shores
    [34208] = {34390}, -- Erupting Epaulets
    [34350] = {34409}, -- Gauntlets of the Ancient Frostwolf
    [34186] = {34383}, -- Kilt of Spiritual Reconstruction
    
    -- Plate Sunmote Exchanges
    [34243] = {34401}, -- Helm of Uther's Resolve
    [34193] = {34389}, -- Spaulders of the Thalassian Defender
    [34216] = {34395}, -- Noble Judicator's Chestguard
    [34167] = {34382}, -- Judicator's Legguards
    [34345] = {34400}, -- Crown of Dath'Remar
    [34192] = {34388}, -- Pauldrons of Berserking
    [34215] = {34394}, -- Breastplate of Agony's Aversion
    [34180] = {34381}, -- Felstrength Legplates
    
    
    -- Naxx 10
    
    -- Key to the Focusing Iris
    -- [44569] = {44658, 44657, 44659, 44660},
    
    -- Spaulders of the Lost Conqueror
    [40622] = {39631, 39637, 39642, 39518, 39529, 39499},
    -- Spaulders of the Lost Protector
    [40623] = {39608, 39613, 39581, 39590, 39596, 39604},
    -- Spaulders of the Lost Vanquisher
    [40624] = {39565, 39621, 39627, 39494, 39542, 39548, 39556},
    -- Chestguard of the Lost Conqueror
    [40610] = {39629, 39633, 39638, 39515, 39523, 39497},
    -- Chestguard of the Lost Protector
    [40611] = {39606, 39611, 39579, 39588, 39592, 39597},
    -- Chestguard of the Lost Vanquisher
    [40612] = {39558, 39617, 39623, 39492, 39538, 39547, 39554},
    -- Leggings of the Lost Conqueror
    [40619] = {39630, 39636, 39641, 39517, 39528, 39498},
    -- Leggings of the Lost Protector
    [40620] = {39607, 39612, 39580, 39589, 39595, 39603},
    -- Leggings of the Lost Vanquisher
    [40621] = {39564, 39620, 39626, 39493, 39539, 39546, 39555},
    -- Helm of the Lost Conqueror
    [40616] = {39628, 39635, 39640, 39514, 39521, 39496},
    -- Helm of the Lost Protector
    [40617] = {39605, 39610, 39578, 39583, 39594, 39602},
    -- Helm of the Lost Vanquisher
    [40618] = {39561, 39619, 39625, 39491, 39531, 39545, 39553},
    
    
    -- Naxx 25
    
    -- Heroic Key to the Focusing Iris
    [44577] = {44661, 44662, 44664, 44665},
    
    -- Mantle of the Lost Conqueror
    [40637] = {40573, 40578, 40584, 40450, 40459, 40424},
    -- Mantle of the Lost Protector
    [40638] = {40530, 40548, 40507, 40513, 40518, 40524},
    -- Mantle of the Lost Vanquisher
    [40639] = {40502, 40557, 40568, 40419, 40465, 40470, 40494},
    -- Breastplate of the Lost Conqueror
    [40625] = {40569, 40574, 40579, 40449, 40458, 40423},
    -- Breastplate of the Lost Protector
    [40626] = {40525, 40544, 40503, 40508, 40514, 40523},
    -- Breastplate of the Lost Vanquisher
    [40627] = {40495, 40550, 40559, 40418, 40463, 40469, 40471},
    -- Legplates of the Lost Conqueror
    [40634] = {40572, 40577, 40583, 40448, 40457, 40422},
    -- Legplates of the Lost Protector
    [40635] = {40529, 40547, 40506, 40512, 40517, 40522},
    -- Legplates of the Lost Vanquisher
    [40636] = {40500, 40556, 40567, 40417, 40462, 40468, 40493},
    -- Crown of the Lost Conqueror
    [40631] = {40571, 40576, 40581, 40447, 40456, 40421},
    -- Valorous Dreadnaught Helmet
    [40528] = {40546, 40505, 40510, 40516, 40521},
    -- Crown of the Lost Vanquisher
    [40633] = {40499, 40554, 40565, 40416, 40461, 40467, 40473},
    
    
    -- OS 10
    
    -- Gloves of the Lost Conqueror
    [40613] = {39632, 39634, 39639, 39519, 39530, 39500},
    -- Gloves of the Lost Protector
    [40614] = {39609, 39622, 39582, 39591, 39593, 39601},
    -- Gloves of the Lost Vanquisher
    [40615] = {39560, 39618, 39624, 39495, 39543, 39544, 39557},
    
    
    -- OS 25
    
    -- Gauntlets of the Lost Conqueror
    [40628] = {40570, 40575, 40580, 40445, 40454, 40420},
    -- Gauntlets of the Lost Protector
    [40629] = {40527, 40545, 40504, 40509, 40515, 40520},
    -- Gauntlets of the Lost Vanquisher
    [40630] = {40496, 40552, 40563, 40415, 40460, 40466, 40472},
    
    
    -- Ulduar 10
    
    -- Reply-Code Alpha
    [46052] = {46320, 46321, 46322, 46323},
    -- Leggings of the Wayward Conqueror
    [45650] = {45371, 45379, 45384, 45388, 45394, 45420},
    -- Leggings of the Wayward Protector
    [45651] = {45427, 45432, 45362, 45403, 45409, 45416},
    -- Leggings of the Wayward Vanquisher
    [45652] = {45399, 45338, 45343, 45367, 45347, 45353, 45357},
    -- Spaulders of the Wayward Conqueror
    [45659] = {45373, 45380, 45385, 45390, 45393, 45422},
    -- Spaulders of the Wayward Protector
    [45660] = {45428, 45433, 45363, 45404, 45410, 45415},
    -- Spaulders of the Wayward Vanquisher
    [45661] = {45400, 45339, 45344, 45369, 45349, 45352, 45359},
    -- Gloves of the Wayward Conqueror
    [45644] = {45370, 45376, 45383, 45387, 45392, 45419},
    -- Gloves of the Wayward Protector
    [45645] = {45426, 45430, 45360, 45401, 45406, 45414},
    -- Gloves of the Wayward Vanquisher
    [45646] = {45397, 45337, 45341, 46131, 45345, 45351, 45355},
    -- Helm of the Wayward Conqueror
    [45647] = {45372, 45377, 45382, 45386, 45391, 45417},
    -- Helm of the Wayward Protector
    [45648] = {45425, 45431, 45361, 45402, 45408, 45412},
    -- Helm of the Wayward Vanquisher
    [45649] = {45398, 45336, 45342, 45365, 45346, 45356, 46313},
    -- Chestguard of the Wayward Conqueror
    [45635] = {45374, 45375, 45381, 45389, 45395, 45421},
    -- Chestguard of the Wayward Protector
    [45636] = {45424, 45429, 45364, 45405, 45411, 45413},
    -- Chestguard of the Wayward Vanquisher
    [45637] = {45396, 45335, 45340, 45368, 45348, 45354, 45358},
    
    
    -- Ulduar 25
    
    -- Fragment of Val'anyr
    [45038] = {45039, 45896, 46017},
    -- Reply-Code Alpha
    [46053] = {45588, 45618, 45608, 45614},
    -- Breastplate of the Wayward Conqueror
    [45632] = {46154, 46173, 46178, 46168, 46193, 46137},
    -- Breastplate of the Wayward Protector
    [45633] = {46146, 46162, 46141, 46198, 46205, 46206},
    -- Breastplate of the Wayward Vanquisher
    [45634] = {46123, 46111, 46118, 46130, 46159, 46186, 46194},
    -- Crown of the Wayward Conqueror
    [45638] = {46156, 46175, 46180, 46172, 46197, 46140},
    -- Crown of the Wayward Protector
    [45639] = {46151, 46166, 46143, 46201, 46209, 46212},
    -- Crown of the Wayward Vanquisher
    [45640] = {46125, 46115, 46120, 46129, 46161, 46184, 46191},
    -- Legplates of the Wayward Conqueror
    [45653] = {46153, 46176, 46181, 46170, 46195, 46139},
    -- Legplates of the Wayward Protector
    [45654] = {46150, 46169, 46144, 46202, 46208, 46210},
    -- Legplates of the Wayward Vanquisher
    [45655] = {46126, 46116, 46121, 46133, 46160, 46185, 46192},
    -- Gauntlets of the Wayward Conqueror
    [45641] = {46155, 46174, 46179, 46163, 46188, 46135},
    -- Gauntlets of the Wayward Protector
    [45642] = {46148, 46164, 46142, 46199, 46200, 46207},
    -- Gauntlets of the Wayward Vanquisher
    [45643] = {46124, 46113, 46119, 46132, 46158, 46183, 46189},
    -- Mantle of the Wayward Conqueror
    [45656] = {46152, 46177, 46182, 46165, 46190, 46136},
    -- Mantle of the Wayward Protector
    [45657] = {46149, 46167, 46145, 46203, 46204, 46211},
    -- Mantle of the Wayward Vanquisher
    [45658] = {46127, 46117, 46122, 46134, 46157, 46187, 46196},
    
    
    -- Onyxia 10/25
    
    [49644] = {49485, 49486, 49487}, -- Head of Onyxia
    
    [49294] = {36919, 36922, 36931, 36928, 36934, 36925}, -- Ashen Sack of Gems
    
};

for token, rewards in pairs(tokenMap) do
    LootReserve.Data.TokenMap.Rewards[token] = rewards;
    for _, reward in ipairs(rewards) do
        LootReserve.Data.TokenMap.Tokens[reward] = token;
    end
end


function LootReserve.Data:IsItemInCategories(itemID, categories)
    for _, category in ipairs(categories) do
        if itemID == 0 or category <= 0 then return false; end

        category = self.Categories[category];
        if category and category.Children and self:IsCategoryVisible(category) then
            for _, child in ipairs(category.Children) do
                if child.Loot then
                    for _, lootItem in ipairs(child.Loot) do
                        if lootItem == itemID then
                            return true;
                        end
                    end
                end
            end
        end
    end

    return false;
end

function LootReserve.Data:GetItemCategories(itemID)
    local categories = { };
    for category in pairs(self.Categories) do
        if self:IsItemInCategories(itemID, {category}) then
            table.insert(categories, category);
        end
    end
    return categories;
end

function LootReserve.Data:IsCategoryVisible(category)
    return not category.Expansion or category.Expansion <= LootReserve:GetCurrentExpansion();
end

function LootReserve.Data.CategorySorter(a, b, aID, bID)
    if aID > 0 and bID > 0 and a.Expansion ~= b.Expansion then
        return a.Expansion > b.Expansion;
    end
    return aID < bID;
end

function LootReserve.Data:GetQuestStarted(itemID)
    return self.QuestStarters[itemID];
end
function LootReserve.Data:GetQuestDropRequirement(itemID)
    return self.QuestDrops[itemID];
end

function LootReserve.Data:GetToken(itemID)
    return self.TokenMap.Tokens[itemID];
end
function LootReserve.Data:GetTokenRewards(itemID)
    return self.TokenMap.Rewards[itemID];
end
function LootReserve.Data:IsToken(itemID)
    return self:GetTokenRewards(itemID) ~= nil;
end
function LootReserve.Data:IsTokenReward(itemID)
    return self:GetToken(itemID) ~= nil;
end
